<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Branches;
use App\AdminItemGroup;
use App\AdminSalesInvoice;
use App\AdminPurchaesInvoice;
use App\Customer;
use App\DebitNote;
use App\CreditNote;
use App\PaymentVoucherExpense;
use App\ReceiptVoucherExpense;
use App\AdminReceiptVoucher;
use App\AdminPaymentVoucher;
use Illuminate\Support\Facades\DB;

class DayBookReportController extends Controller
{
    public function view()
    {

        return view('crusher.reports.day_book');
    }
    public function dayBookReport(Request $request)
    {
        $from_date = $request->from_date;
        $to_date = $request->to_date;


        $Debit_Notes = DebitNote::with('customer','supplier','StaffAndSalesman','Expense','AdminOtherAccount')
        ->where('branch_id', session()->get('selected_branch'))
        ->where('date', '>=', $from_date . ' 00:00:00')
        ->where('date', '<=', $to_date . ' 23:59:59')
        ->groupBy('invoice_no')
        ->get();

        foreach ($Debit_Notes as $key => $Debit_Note) {
        }
        $Credit_Notes = CreditNote::with('customer','supplier','StaffAndSalesman','Expense','AdminOtherAccount')
        ->where('branch_id', session()->get('selected_branch'))
        ->where('date', '>=', $from_date . ' 00:00:00')
        ->where('date', '<=', $to_date . ' 23:59:59')
        ->groupBy('invoice_no')
        ->get();
        foreach ($Credit_Notes as $key => $Credit_Note) {
        }
        $sale_invoices = AdminSalesInvoice::with('customer','supplier','StaffAndSalesman','Expense','AdminOtherAccount')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();

        foreach ($sale_invoices as $key => $sale_invoice) {
        }

        $purchase_invoices = AdminPurchaesInvoice::with('customer','supplier','StaffAndSalesman','Expense','AdminOtherAccount')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();

        foreach ($purchase_invoices as $key => $purchase_invoice) {
        }
        $Receipt_Voucher_Expenses = AdminReceiptVoucher::where('branch_id', session()->get('selected_branch'))
        ->where('date', '>=', $from_date . ' 00:00:00')
        ->where('date', '<=', $to_date . ' 23:59:59')
        ->groupBy('invoice_no')
        ->get();

        foreach ($Receipt_Voucher_Expenses as $key => $Receipt_Voucher_Expense) {
            $ReceiptVouchers = $Receipt_Voucher_Expense->expense;
        }


        $Payment_Voucher_Expenses = AdminPaymentVoucher::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();

        foreach ($Payment_Voucher_Expenses as $key => $Payment_Voucher_Expense) {
            $PaymentVouchers = $Payment_Voucher_Expense->expense;
        }
        return view('crusher.reports.day_book_report',compact('from_date','to_date','Debit_Notes','Credit_Notes','sale_invoices', 'purchase_invoices','Receipt_Voucher_Expenses','Payment_Voucher_Expenses'));
    }
}
