@extends('layouts.superadmin')
@section('content')
    <div class="page-content">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box d-flex align-items-center justify-content-between">
                    <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <h4 class="page-title mb-0 font-size-18">Powered By ACP</h4>
                        </ol>
                    </div>

                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Edit Branch Master</h6>
                            </div>

                        </div>
                        <!-- <div class="col-4"> -->
                        <form action="{{ route('superadmin.branches.update', ['branch' => $branch->id]) }}"
                            class="outer-repeater" method="POST" id="insert_form">

                            @csrf
                            @method('put')
                            <div class="row">

                            <!-- <div class="col-md-4">
                                <div class="form-group">
                                    <label class="control-label">Company Name (Located Country)</label>
                                    <select class="form-control select2" name="country" id="company_country">
                                        <option>Select Company Name (Located Country)</option>
                                        @foreach ($companies as $company)
                                            <option value="{{ $company->id }}"
                                                {{ $branch->company_id == $company->id ? 'selected' : '' }}>
                                                {{ $company->name }} ({{ $company->country }})
                                            </option>
                                        @endforeach
                                    </select>

                                    @if ($errors->has('company_country'))
                                        <div class="alert alert-danger">
                                            {{ $errors->first('company_country') }}
                                        </div>
                                    @endif
                                </div>
                            </div> -->


                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="control-label">Company Name</label>
                                        <select class="form-control select2" name="company_id" id="company">
                                            <option>Select Company Name</option>
                                            @foreach ($companies as $company)
                                                <option value="{{ $company->id }}"
                                                    {{ $branch->company_id == $company->id ? 'selected' : '' }}>
                                                    {{ $company->name }}({{ $company->country }})</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('company_id'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('company_id') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>

                                <!-- <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Located Country</label>
                                        <select class="form-control select2" name="country" id="country">
                                            <option>Select Located Country</option>
                                            <option>Alkaram Pakistan </option>
                                            <option>Alkaram Dubai</option>
                                            <option>Alkaram Oman</option>
                                        </select>
                                        @if ($errors->has('country'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('country') }}
                                            </div>
                                        @endif
                                    </div>
                                </div> -->
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Branch</label>
                                        <input class="form-control" type="text" name="name" placeholder="Enter Branch"
                                            id="example-password-input" value="{{ $branch->name }}">
                                        @if ($errors->has('name'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('name') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>


                                <div class="col-md-2 custveri price" id="pricehidden1">
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input type="checkbox" form="insert_form" class="custom-control-input"
                                            name="type" id="customSwitchtest" value="test"
                                            {{ $branch->type == 'test' ? 'checked' : '' }}>
                                        <label class="custom-control-label" for="customSwitchtest">Test
                                        </label>
                                        @if ($errors->has('type'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('type') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>


                                <div class="col-md-2 custveri price" id="pricehidden1">
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input type="checkbox" form="insert_form" class="custom-control-input"
                                            name="type" id="customSwitchpaid" value="paid"
                                            {{ $branch->type == 'paid' ? 'checked' : '' }}>
                                        <label class="custom-control-label" for="customSwitchpaid">Paid
                                        </label>
                                        @if ($errors->has('type'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('type') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>



                                <div class="col-md-4 price"id="pricehidden2">
                                    <div class="row">
                                        <div class="col-md-4">
                                            <label>Currency</label>

                                            <select class="form-control select2" name="currency">
                                                <option value="">Currency</option>
                                                <option {{ $branch->currency == 'AED' ? 'selected' : '' }}>AED (United Arab Emirates Dirham)</option>
                                                <option {{ $branch->currency == 'AFN' ? 'selected' : '' }}>AFN (Afghan Afghani)</option>
                                                <option {{ $branch->currency == 'ALL' ? 'selected' : '' }}>ALL (Albanian Lek)</option>
                                                <option {{ $branch->currency == 'AMD' ? 'selected' : '' }}>AMD (Armenian Dram)</option>
                                                <option {{ $branch->currency == 'ANG' ? 'selected' : '' }}>ANG (Netherlands Antillean Guilder)</option>
                                                <option {{ $branch->currency == 'AOA' ? 'selected' : '' }}>AOA (Angolan Kwanza)</option>
                                                <option {{ $branch->currency == 'ARS' ? 'selected' : '' }}>ARS (Argentine Peso)</option>
                                                <option {{ $branch->currency == 'AUD' ? 'selected' : '' }}>AUD (Australian Dollar)</option>
                                                <option {{ $branch->currency == 'AWG' ? 'selected' : '' }}>AWG (Aruban Florin)</option>
                                                <option {{ $branch->currency == 'AZN' ? 'selected' : '' }}>AZN (Azerbaijani Manat)</option>
                                                <option {{ $branch->currency == 'BAM' ? 'selected' : '' }}>BAM (Bosnia and Herzegovina Convertible Mark)</option>
                                                <option {{ $branch->currency == 'BBD' ? 'selected' : '' }}>BBD (Barbadian Dollar)</option>
                                                <option {{ $branch->currency == 'BDT' ? 'selected' : '' }}>BDT (Bangladeshi Taka)</option>
                                                <option {{ $branch->currency == 'BGN' ? 'selected' : '' }}>BGN (Bulgarian Lev)</option>
                                                <option {{ $branch->currency == 'BHD' ? 'selected' : '' }}>BHD (Bahraini Dinar)</option>
                                                <option {{ $branch->currency == 'BIF' ? 'selected' : '' }}>BIF (Burundian Franc)</option>
                                                <option {{ $branch->currency == 'BMD' ? 'selected' : '' }}>BMD (Bermudian Dollar)</option>
                                                <option {{ $branch->currency == 'BND' ? 'selected' : '' }}>BND (Brunei Dollar)</option>
                                                <option {{ $branch->currency == 'BOB' ? 'selected' : '' }}>BOB (Bolivian Boliviano)</option>
                                                <option {{ $branch->currency == 'BRL' ? 'selected' : '' }}>BRL (Brazilian Real)</option>
                                                <option {{ $branch->currency == 'BSD' ? 'selected' : '' }}>BSD (Bahamian Dollar)</option>
                                                <option {{ $branch->currency == 'BTN' ? 'selected' : '' }}>BTN (Bhutanese Ngultrum)</option>
                                                <option {{ $branch->currency == 'BWP' ? 'selected' : '' }}>BWP (Botswanan Pula)</option>
                                                <option {{ $branch->currency == 'BYN' ? 'selected' : '' }}>BYN (Belarusian Ruble)</option>
                                                <option {{ $branch->currency == 'BZD' ? 'selected' : '' }}>BZD (Belize Dollar)</option>
                                                <option {{ $branch->currency == 'CAD' ? 'selected' : '' }}>CAD (Canadian Dollar)</option>
                                                <option {{ $branch->currency == 'CDF' ? 'selected' : '' }}>CDF (Congolese Franc)</option>
                                                <option {{ $branch->currency == 'CHF' ? 'selected' : '' }}>CHF (Swiss Franc)</option>
                                                <option {{ $branch->currency == 'CLP' ? 'selected' : '' }}>CLP (Chilean Peso)</option>
                                                <option {{ $branch->currency == 'CNY' ? 'selected' : '' }}>CNY (Chinese Yuan)</option>
                                                <option {{ $branch->currency == 'COP' ? 'selected' : '' }}>COP (Colombian Peso)</option>
                                                <option {{ $branch->currency == 'CRC' ? 'selected' : '' }}>CRC (Costa Rican Colón)</option>
                                                <option {{ $branch->currency == 'CUP' ? 'selected' : '' }}>CUP (Cuban Peso)</option>
                                                <option {{ $branch->currency == 'CVE' ? 'selected' : '' }}>CVE (Cape Verdean Escudo)</option>
                                                <option {{ $branch->currency == 'CZK' ? 'selected' : '' }}>CZK (Czech Republic Koruna)</option>
                                                <option {{ $branch->currency == 'DJF' ? 'selected' : '' }}>DJF (Djiboutian Franc)</option>
                                                <option {{ $branch->currency == 'DKK' ? 'selected' : '' }}>DKK (Danish Krone)</option>
                                                <option {{ $branch->currency == 'DOP' ? 'selected' : '' }}>DOP (Dominican Peso)</option>
                                                <option {{ $branch->currency == 'DZD' ? 'selected' : '' }}>DZD (Algerian Dinar)</option>
                                                <option {{ $branch->currency == 'EGP' ? 'selected' : '' }}>EGP (Egyptian Pound)</option>
                                                <option {{ $branch->currency == 'ERN' ? 'selected' : '' }}>ERN (Eritrean Nakfa)</option>
                                                <option {{ $branch->currency == 'ETB' ? 'selected' : '' }}>ETB (Ethiopian Birr)</option>
                                                <option {{ $branch->currency == 'EUR' ? 'selected' : '' }}>EUR (Euro)</option>
                                                <option {{ $branch->currency == 'FJD' ? 'selected' : '' }}>FJD (Fijian Dollar)</option>
                                                <option {{ $branch->currency == 'FKP' ? 'selected' : '' }}>FKP (Falkland Islands Pound)</option>
                                                <option {{ $branch->currency == 'FOK' ? 'selected' : '' }}>FOK (Faroese Króna)</option>
                                                <option {{ $branch->currency == 'GBP' ? 'selected' : '' }}>GBP (British Pound Sterling)</option>
                                                <option {{ $branch->currency == 'GEL' ? 'selected' : '' }}>GEL (Georgian Lari)</option>
                                                <option {{ $branch->currency == 'GGP' ? 'selected' : '' }}>GGP (Guernsey Pound)</option>
                                                <option {{ $branch->currency == 'GHS' ? 'selected' : '' }}>GHS (Ghanaian Cedi)</option>
                                                <option {{ $branch->currency == 'GIP' ? 'selected' : '' }}>GIP (Gibraltar Pound)</option>
                                                <option {{ $branch->currency == 'GMD' ? 'selected' : '' }}>GMD (Gambian Dalasi)</option>
                                                <option {{ $branch->currency == 'GNF' ? 'selected' : '' }}>GNF (Guinean Franc)</option>
                                                <option {{ $branch->currency == 'GTQ' ? 'selected' : '' }}>GTQ (Guatemalan Quetzal)</option>
                                                <option {{ $branch->currency == 'GYD' ? 'selected' : '' }}>GYD (Guyanaese Dollar)</option>
                                                <option {{ $branch->currency == 'HKD' ? 'selected' : '' }}>HKD (Hong Kong Dollar)</option>
                                                <option {{ $branch->currency == 'HNL' ? 'selected' : '' }}>HNL (Honduran Lempira)</option>
                                                <option {{ $branch->currency == 'HRK' ? 'selected' : '' }}>HRK (Croatian Kuna)</option>
                                                <option {{ $branch->currency == 'HTG' ? 'selected' : '' }}>HTG (Haitian Gourde)</option>
                                                <option {{ $branch->currency == 'HUF' ? 'selected' : '' }}>HUF (Hungarian Forint)</option>
                                                <option {{ $branch->currency == 'IDR' ? 'selected' : '' }}>IDR (Indonesian Rupiah)</option>
                                                <option {{ $branch->currency == 'ILS' ? 'selected' : '' }}>ILS (Israeli New Shekel)</option>
                                                <option {{ $branch->currency == 'IMP' ? 'selected' : '' }}>IMP (Isle of Man Pound)</option>
                                                <option {{ $branch->currency == 'INR' ? 'selected' : '' }}>INR (Indian Rupee)</option>
                                                <option {{ $branch->currency == 'IQD' ? 'selected' : '' }}>IQD (Iraqi Dinar)</option>
                                                <option {{ $branch->currency == 'IRR' ? 'selected' : '' }}>IRR (Iranian Rial)</option>
                                                <option {{ $branch->currency == 'ISK' ? 'selected' : '' }}>ISK (Icelandic Króna)</option>
                                                <option {{ $branch->currency == 'JEP' ? 'selected' : '' }}>JEP (Jersey Pound)</option>
                                                <option {{ $branch->currency == 'JMD' ? 'selected' : '' }}>JMD (Jamaican Dollar)</option>
                                                <option {{ $branch->currency == 'JOD' ? 'selected' : '' }}>JOD (Jordanian Dinar)</option>
                                                <option {{ $branch->currency == 'JPY' ? 'selected' : '' }}>JPY (Japanese Yen)</option>
                                                <option {{ $branch->currency == 'KES' ? 'selected' : '' }}>KES (Kenyan Shilling)</option>
                                                <option {{ $branch->currency == 'KGS' ? 'selected' : '' }}>KGS (Kyrgyzstani Som)</option>
                                                <option {{ $branch->currency == 'KHR' ? 'selected' : '' }}>KHR (Cambodian Riel)</option>
                                                <option {{ $branch->currency == 'KID' ? 'selected' : '' }}>KID (Kiribati Dollar)</option>
                                                <option {{ $branch->currency == 'KMF' ? 'selected' : '' }}>KMF (Comorian Franc)</option>
                                                <option {{ $branch->currency == 'KRW' ? 'selected' : '' }}>KRW (South Korean Won)</option>
                                                <option {{ $branch->currency == 'KWD' ? 'selected' : '' }}>KWD (Kuwaiti Dinar)</option>
                                                <option {{ $branch->currency == 'KYD' ? 'selected' : '' }}>KYD (Cayman Islands Dollar)</option>
                                                <option {{ $branch->currency == 'KZT' ? 'selected' : '' }}>KZT (Kazakhstani Tenge)</option>
                                                <option {{ $branch->currency == 'LAK' ? 'selected' : '' }}>LAK (Lao Kip)</option>
                                                <option {{ $branch->currency == 'LBP' ? 'selected' : '' }}>LBP (Lebanese Pound)</option>
                                                <option {{ $branch->currency == 'LKR' ? 'selected' : '' }}>LKR (Sri Lankan Rupee)</option>
                                                <option {{ $branch->currency == 'LRD' ? 'selected' : '' }}>LRD (Liberian Dollar)</option>
                                                <option {{ $branch->currency == 'LSL' ? 'selected' : '' }}>LSL (Lesotho Loti)</option>
                                                <option {{ $branch->currency == 'LYD' ? 'selected' : '' }}>LYD (Libyan Dinar)</option>
                                                <option {{ $branch->currency == 'MAD' ? 'selected' : '' }}>MAD (Moroccan Dirham)</option>
                                                <option {{ $branch->currency == 'MDL' ? 'selected' : '' }}>MDL (Moldovan Leu)</option>
                                                <option {{ $branch->currency == 'MGA' ? 'selected' : '' }}>MGA (Malagasy Ariary)</option>
                                                <option {{ $branch->currency == 'MKD' ? 'selected' : '' }}>MKD (North Macedonian Denar)</option>
                                                <option {{ $branch->currency == 'MMK' ? 'selected' : '' }}>MMK (Myanmar Kyat)</option>
                                                <option {{ $branch->currency == 'MNT' ? 'selected' : '' }}>MNT (Mongolian Tugrik)</option>
                                                <option {{ $branch->currency == 'MRU' ? 'selected' : '' }}>MRU (Mauritanian Ouguiya)</option>
                                                <option {{ $branch->currency == 'MUR' ? 'selected' : '' }}>MUR (Mauritian Rupee)</option>
                                                <option {{ $branch->currency == 'MVR' ? 'selected' : '' }}>MVR (Maldivian Rufiyaa)</option>
                                                <option {{ $branch->currency == 'MWK' ? 'selected' : '' }}>MWK (Malawian Kwacha)</option>
                                                <option {{ $branch->currency == 'MXN' ? 'selected' : '' }}>MXN (Mexican Peso)</option>
                                                <option {{ $branch->currency == 'MYR' ? 'selected' : '' }}>MYR (Malaysian Ringgit)</option>
                                                <option {{ $branch->currency == 'MZN' ? 'selected' : '' }}>MZN (Mozambican Metical)</option>
                                                <option {{ $branch->currency == 'NAD' ? 'selected' : '' }}>NAD (Namibian Dollar)</option>
                                                <option {{ $branch->currency == 'NGN' ? 'selected' : '' }}>NGN (Nigerian Naira)</option>
                                                <option {{ $branch->currency == 'NIO' ? 'selected' : '' }}>NIO (Nicaraguan Córdoba)</option>
                                                <option {{ $branch->currency == 'NOK' ? 'selected' : '' }}>NOK (Norwegian Krone)</option>
                                                <option {{ $branch->currency == 'NPR' ? 'selected' : '' }}>NPR (Nepalese Rupee)</option>
                                                <option {{ $branch->currency == 'NZD' ? 'selected' : '' }}>NZD (New Zealand Dollar)</option>
                                                <option {{ $branch->currency == 'OMR' ? 'selected' : '' }}>OMR (Omani Rial)</option>
                                                <option {{ $branch->currency == 'PAB' ? 'selected' : '' }}>PAB (Panamanian Balboa)</option>
                                                <option {{ $branch->currency == 'PEN' ? 'selected' : '' }}>PEN (Peruvian Nuevo Sol)</option>
                                                <option {{ $branch->currency == 'PGK' ? 'selected' : '' }}>PGK (Papua New Guinean Kina)</option>
                                                <option {{ $branch->currency == 'PHP' ? 'selected' : '' }}>PHP (Philippine Peso)</option>
                                                <option {{ $branch->currency == 'PKR' ? 'selected' : '' }}>PKR (Pakistani Rupee)</option>
                                                <option {{ $branch->currency == 'PLN' ? 'selected' : '' }}>PLN (Polish Złoty)</option>
                                                <option {{ $branch->currency == 'PYG' ? 'selected' : '' }}>PYG (Paraguayan Guaraní)</option>
                                                <option {{ $branch->currency == 'QAR' ? 'selected' : '' }}>QAR (Qatari Rial)</option>
                                                <option {{ $branch->currency == 'RON' ? 'selected' : '' }}>RON (Romanian Leu)</option>
                                                <option {{ $branch->currency == 'RSD' ? 'selected' : '' }}>RSD (Serbian Dinar)</option>
                                                <option {{ $branch->currency == 'RUB' ? 'selected' : '' }}>RUB (Russian Ruble)</option>
                                                <option {{ $branch->currency == 'RWF' ? 'selected' : '' }}>RWF (Rwandan Franc)</option>
                                                <option {{ $branch->currency == 'SAR' ? 'selected' : '' }}>SAR (Saudi Riyal)</option>
                                                <option {{ $branch->currency == 'SBD' ? 'selected' : '' }}>SBD (Solomon Islands Dollar)</option>
                                                <option {{ $branch->currency == 'SCR' ? 'selected' : '' }}>SCR (Seychellois Rupee)</option>
                                                <option {{ $branch->currency == 'SDG' ? 'selected' : '' }}>SDG (Sudanese Pound)</option>
                                                <option {{ $branch->currency == 'SEK' ? 'selected' : '' }}>SEK (Swedish Krona)</option>
                                                <option {{ $branch->currency == 'SGD' ? 'selected' : '' }}>SGD (Singapore Dollar)</option>
                                                <option {{ $branch->currency == 'SHP' ? 'selected' : '' }}>SHP (Saint Helena Pound)</option>
                                                <option {{ $branch->currency == 'SLL' ? 'selected' : '' }}>SLL (Sierra Leonean Leone)</option>
                                                <option {{ $branch->currency == 'SOS' ? 'selected' : '' }}>SOS (Somali Shilling)</option>
                                                <option {{ $branch->currency == 'SRD' ? 'selected' : '' }}>SRD (Surinamese Dollar)</option>
                                                <option {{ $branch->currency == 'SSP' ? 'selected' : '' }}>SSP (South Sudanese Pound)</option>
                                                <option {{ $branch->currency == 'STN' ? 'selected' : '' }}>STN (São Tomé and Príncipe Dobra)</option>
                                                <option {{ $branch->currency == 'SYP' ? 'selected' : '' }}>SYP (Syrian Pound)</option>
                                                <option {{ $branch->currency == 'SZL' ? 'selected' : '' }}>SZL (Swazi Lilangeni)</option>
                                                <option {{ $branch->currency == 'THB' ? 'selected' : '' }}>THB (Thai Baht)</option>
                                                <option {{ $branch->currency == 'TJS' ? 'selected' : '' }}>TJS (Tajikistani Somoni)</option>
                                                <option {{ $branch->currency == 'TMT' ? 'selected' : '' }}>TMT (Turkmenistani Manat)</option>
                                                <option {{ $branch->currency == 'TND' ? 'selected' : '' }}>TND (Tunisian Dinar)</option>
                                                <option {{ $branch->currency == 'TOP' ? 'selected' : '' }}>TOP (Tongan Pa'anga)</option>
                                                <option {{ $branch->currency == 'TRY' ? 'selected' : '' }}>TRY (Turkish Lira)</option>
                                                <option {{ $branch->currency == 'TTD' ? 'selected' : '' }}>TTD (Trinidad and Tobago Dollar)</option>
                                                <option {{ $branch->currency == 'TWD' ? 'selected' : '' }}>TWD (New Taiwan Dollar)</option>
                                                <option {{ $branch->currency == 'TZS' ? 'selected' : '' }}>TZS (Tanzanian Shilling)</option>
                                                <option {{ $branch->currency == 'UAH' ? 'selected' : '' }}>UAH (Ukrainian Hryvnia)</option>
                                                <option {{ $branch->currency == 'UGX' ? 'selected' : '' }}>UGX (Ugandan Shilling)</option>
                                                <option {{ $branch->currency == 'USD' ? 'selected' : '' }}>USD (United States Dollar)</option>
                                                <option {{ $branch->currency == 'UYU' ? 'selected' : '' }}>UYU (Uruguayan Peso)</option>
                                                <option {{ $branch->currency == 'UZS' ? 'selected' : '' }}>UZS (Uzbekistan Som)</option>
                                                <option {{ $branch->currency == 'VEF' ? 'selected' : '' }}>VEF (Venezuelan Bolívar)</option>
                                                <option {{ $branch->currency == 'VND' ? 'selected' : '' }}>VND (Vietnamese Dong)</option>
                                                <option {{ $branch->currency == 'VUV' ? 'selected' : '' }}>VUV (Vanuatu Vatu)</option>
                                                <option {{ $branch->currency == 'WST' ? 'selected' : '' }}>WST (Samoan Tala)</option>
                                                <option {{ $branch->currency == 'XAF' ? 'selected' : '' }}>XAF (Central African CFA Franc)</option>
                                                <option {{ $branch->currency == 'XCD' ? 'selected' : '' }}>XCD (East Caribbean Dollar)</option>
                                                <option {{ $branch->currency == 'XOF' ? 'selected' : '' }}>XOF (West African CFA Franc)</option>
                                                <option {{ $branch->currency == 'XPF' ? 'selected' : '' }}>XPF (CFP Franc)</option>
                                                <option {{ $branch->currency == 'YER' ? 'selected' : '' }}>YER (Yemeni Rial)</option>
                                                <option {{ $branch->currency == 'ZAR' ? 'selected' : '' }}>ZAR (South African Rand)</option>
                                                <option {{ $branch->currency == 'ZMW' ? 'selected' : '' }}>ZMW (Zambian Kwacha)</option>
                                                <option {{ $branch->currency == 'ZWL' ? 'selected' : '' }}>ZWL (Zimbabwean Dollar)</option>
                                            </select>
                                            @if ($errors->has('currency'))
                                                <div class="alert alert-danger">
                                                    {{ $errors->first('currency') }}
                                                </div>
                                            @endif
                                        </div>

                                        <div class="col-md-8">
                                            <div class="form-group">
                                                <label>Price</label>
                                                <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Price"
                                                    name="price" id="example-number-input" value="{{ $branch->price }}">
                                                @if ($errors->has('price'))
                                                    <div class="alert alert-danger">
                                                        {{ $errors->first('price') }}
                                                    </div>
                                                @endif
                                            </div>
                                        </div>

                                    </div>
                                </div>

                                <!-- <div class="col-md-4 price" id="pricehidden3">
                                                            <div class="form-group">
                                                                <label>Price</label>
                                                                <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Price"
                                                                    id="example-number-input">
                                                            </div>
                                                        </div> -->




                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="control-label">Software</label>
                                        <select class="form-control select2" name="software">
                                            <option selected disabled>Select</option>
                                            {{-- <option value="Crusher" {{ $branch->software == 'Crusher' ? 'selected' : '' }}>Crusher</option> --}}
                                            <option value="IT & Accessories" {{ $branch->software == 'IT & Accessories' ? 'selected' : '' }}>IT & Accessories</option>
                                            <option value="Mobile & Accessories" {{ $branch->software == 'Mobile & Accessories' ? 'selected' : '' }}>Mobile & Accessories</option>
                                            <option value="Food Stuff" {{ $branch->software == 'Food Stuff' ? 'selected' : '' }}>Food Stuff</option>
                                            <option value="Building Materials" {{ $branch->software == 'Building Materials' ? 'selected' : '' }}>Building Materials</option>
                                            <option value="Car paint" {{ $branch->software == 'Car paint' ? 'selected' : '' }}>Car paint</option>
                                        </select>
                                        @if ($errors->has('software'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('software') }}
                                            </div>
                                        @endif
                                    </div>

                                </div>



                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Software Issue Date</label>
                                        <input class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}"
                                            name="issue_date" value="{{ $branch->issue_date }}">
                                        @if ($errors->has('issue_date'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('issue_date') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Software Expiry Date</label>
                                        <input class="form-control" type="date" id="example-number-input"
                                            name="expiry_date" value="{{ $branch->expiry_date }}" pattern="dd/mm/yy">
                                        @if ($errors->has('expiry_date'))
                                            <div class="alert alert-danger">
                                                {{ $errors->first('expiry_date') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>




                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Lieninancy</label>
                                        <input class="form-control" type="text" name="leniency"
                                            placeholder="Enter Leniency Time" id="example-number-input"
                                            value="{{ $branch->leniency }}">

                                        {{-- @if ($errors->has('leniency'))
                                        <div class="alert alert-danger">
                                            {{ $errors->first('leniency') }}
                                        </div>
                                    @endif --}}
                                    </div>
                                </div>
                                <div class="col-md-4 custveri">
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input type="checkbox" form="insert_form" class="custom-control-input"
                                            name="verification" id="customSwitch72" value="1"
                                            {{ $branch->verification == 1 ? 'checked' : '' }}>
                                        <label class="custom-control-label" for="customSwitch72">Verification
                                            For User</label>
                                    </div>
                                </div>
                                <!-- <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Currency ID</label>
                                        <input class="form-control" type="text" name="currency_id"
                                            placeholder="Enter Currency ID" id="example-number-input"
                                            value="{{ $branch->currency_id }}">

                                    </div>
                                </div> -->
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Currency Detail</label>
                                        <input class="form-control" type="text" name="currency_detail"
                                            placeholder="Enter Currency Detail" id="example-number-input"
                                            value="{{ $branch->currency_detail }}">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Currency Decimal</label>
                                        <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" name="currency_decimal"
                                            placeholder="Enter Currency Decimal" id="example-number-input"
                                            value="{{ $branch->currency_decimal }}">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Minal Unit</label>
                                        <input class="form-control" type="text" name="minal_unit"
                                            placeholder="Enter Minal Unit" id="example-number-input"
                                            value="{{ $branch->minal_unit }}">
                                    </div>
                                </div>


                            </div>



                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <!-- Start row -->
                    <div class="row">

                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form" class="custom-control-input selectallMaster"
                                    id="selectallMaster" unchecked>
                                <label class="custom-control-label titlcust" for="selectallMaster">Master<label>
                            </div>
                            @forelse ($permissions->where('type','Master') as $permission)
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="{{ $permission->id }}" name="permissions[]" type="checkbox"
                                    {{ in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : '' }}
                                        form="insert_form" class="custom-control-input master"
                                        id="customSwitch{{ $permission->id }}"
                                        @if ($permission->enabled) checked @endif>
                                    <label class="custom-control-label titlcust" for="customSwitch{{ $permission->id }}">
                                        {{ ucwords(str_replace('-', ' ', $permission->name)) }}</label>
                                </div>
                            @empty
                            @endforelse
                        </div>

                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form" class="custom-control-input selectallReports"
                                    id="selectallReports" unchecked>
                                <label class="custom-control-label titlcust" for="selectallReports">Reports<label>
                            </div>
                            @forelse ($permissions->where('type','Report') as $permission)
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="{{ $permission->id }}" name="permissions[]" type="checkbox"
                                    {{ in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : '' }}
                                        form="insert_form" class="custom-control-input reports"
                                        id="customSwitch{{ $permission->id }}"
                                        @if ($permission->enabled) checked @endif>
                                    <label class="custom-control-label titlcust" for="customSwitch{{ $permission->id }}">
                                        {{ ucwords(str_replace('-', ' ', $permission->name)) }}</label>
                                </div>
                            @empty
                            @endforelse
                        </div>

                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form"
                                    class="custom-control-input selectallTransactions" id="selectallTransactions"
                                    unchecked>
                                <label class="custom-control-label titlcust"
                                    for="selectallTransactions">Transactions<label>
                            </div>
                            @forelse ($permissions->where('type','Transactions') as $permission)
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="{{ $permission->id }}" name="permissions[]" type="checkbox"
                                    {{ in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : '' }}
                                        form="insert_form" class="custom-control-input transactions"
                                        id="customSwitch{{ $permission->id }}"
                                        @if ($permission->enabled) checked @endif>
                                    <label class="custom-control-label titlcust" for="customSwitch{{ $permission->id }}">
                                        {{ ucwords(str_replace('-', ' ', $permission->name)) }}</label>
                                </div>
                            @empty
                            @endforelse
                        </div>

                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form" class="custom-control-input selectallOthers"
                                    id="selectallOthers" unchecked>
                                <label class="custom-control-label titlcust" for="selectallOthers">Others<label>
                            </div>
                            @forelse ($permissions->where('type','Others') as $permission)
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="{{ $permission->id }}" name="permissions[]" type="checkbox"
                                    {{ in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : '' }}
                                        form="insert_form" class="custom-control-input others"
                                        id="customSwitch{{ $permission->id }}"
                                        @if ($permission->enabled) checked @endif>
                                    <label class="custom-control-label titlcust" for="customSwitch{{ $permission->id }}">
                                        {{ ucwords(str_replace('-', ' ', $permission->name)) }}</label>
                                </div>
                            @empty
                            @endforelse
                        </div>
                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form"
                                    class="custom-control-input selectallPeriodClosing" id="selectallPeriodClosing"
                                    unchecked>
                                <label class="custom-control-label titlcust" for="selectallPeriodClosing">Period
                                    Closing<label>
                            </div>
                            @forelse ($permissions->where('type','period-closing') as $permission)
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="{{ $permission->id }}" name="permissions[]" type="checkbox"
                                    {{ in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : '' }}
                                        form="insert_form" class="custom-control-input period-closing"
                                        id="customSwitch{{ $permission->id }}"
                                        @if ($permission->enabled) checked @endif>
                                    <label class="custom-control-label titlcust" for="customSwitch{{ $permission->id }}">
                                        {{ ucwords(str_replace('-', ' ', $permission->name)) }}</label>
                                </div>
                            @empty
                            @endforelse
                        </div>
                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form" class="custom-control-input selectallUsers"
                                    id="selectallUsers" unchecked>
                                <label class="custom-control-label titlcust" for="selectallUsers">Show User<label>
                            </div>
                            @forelse ($permissions->where('type','user') as $permission)
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="{{ $permission->id }}" name="permissions[]" type="checkbox"
                                    {{ in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : '' }}
                                        form="insert_form" class="custom-control-input user"
                                        id="customSwitch{{ $permission->id }}"
                                        @if ($permission->enabled) checked @endif>
                                    <label class="custom-control-label titlcust" for="customSwitch{{ $permission->id }}">
                                        {{ ucwords(str_replace('-', ' ', $permission->name)) }}</label>
                                </div>
                            @empty
                            @endforelse
                        </div>
                    </div>
                    <button class="btn btn-cust1 float-right" form="insert_form" type="submit">Update</button>
                </div>
            </div>
        </div>
    </div>
    </form>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script>
        $(document).ready(function() {

            var company_id = $('#company').val();
            if (company_id) {
                $.ajax({
                    type: 'GET',
                    url: '{{ url('get_countries') }}',
                    data: {
                        company_id: company_id
                    },
                    success: function(html) {
                        $('#country').html('<option value=' + html.country + '>' + html
                            .country + '</option>');
                    }
                });
            } else {
                $('#country').html('<option value="">Select Company First</option>');
            }

            $('#company').on('change', function() {
                var company_id = $(this).val();
                if (company_id) {
                    $.ajax({
                        type: 'GET',
                        url: '{{ url('get_countries') }}',
                        data: {
                            company_id: company_id
                        },
                        success: function(html) {
                            $('#country').html('<option value=' + html.country + '>' + html
                                .country + '</option>');
                        }
                    });
                } else {
                    $('#country').html('<option value="">Select Company First</option>');
                }
            });

            // Get the "Master" switch element and individual permission switch elements
            var selectAllMaster = document.getElementById('selectallMaster');
            var masterSwitches = document.querySelectorAll('.custom-control-input.master');

            // Add click event listener to "Master" switch
            selectAllMaster.addEventListener('click', function() {
                var isChecked = selectAllMaster.checked;

                // Set all individual permission switches based on the "Master" switch's state
                masterSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Reports" switch element and individual permission switch elements for reports
            var selectAllReports = document.getElementById('selectallReports');
            var reportSwitches = document.querySelectorAll('.custom-control-input.reports');

            // Add click event listener to "Reports" switch
            selectAllReports.addEventListener('click', function() {
                var isChecked = selectAllReports.checked;

                // Set all individual permission switches for reports based on the "Reports" switch's state
                reportSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Transactions" switch element and individual permission switch elements for transactions
            var selectallTransactions = document.getElementById('selectallTransactions');
            var transactionSwitches = document.querySelectorAll('.custom-control-input.transactions');

            // Add click event listener to "Transactions" switch
            selectallTransactions.addEventListener('click', function() {
                var isChecked = selectallTransactions.checked;

                // Set all individual permission switches for transactions based on the "Transactions" switch's state
                transactionSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Others" switch element and individual permission switch elements for others
            var selectallOthers = document.getElementById('selectallOthers');
            var otherSwitches = document.querySelectorAll('.custom-control-input.others');

            // Add click event listener to "Others" switch
            selectallOthers.addEventListener('click', function() {
                var isChecked = selectallOthers.checked;

                // Set all individual permission switches for others based on the "Others" switch's state
                otherSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Period Closing" switch element and individual permission switch elements for Period-closing
            var selectallPeriodClosing = document.getElementById('selectallPeriodClosing');
            var periodSwitches = document.querySelectorAll('.custom-control-input.period-closing');

            // Add click event listener to "Period Closing" switch
            selectallPeriodClosing.addEventListener('click', function() {
                var isChecked = selectallPeriodClosing.checked;

                // Set all individual permission switches for others based on the "Others" switch's state
                periodSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Show User" switch element and individual permission switch elements for Show User
            var selectallUsers = document.getElementById('selectallUsers');
            var userSwitches = document.querySelectorAll('.custom-control-input.user');

            // Add click event listener to "Show User" switch
            selectallUsers.addEventListener('click', function() {
                var isChecked = selectallUsers.checked;

                // Set all individual permission switches for others based on the "Others" switch's state
                userSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });
        });
    </script>
@endsection
