@extends('layouts.master_user')
@section('page-title')
Salesman Master
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }
</style>

@endsection
@section('master')
active
@endsection
@section('salesman-master')
active
@endsection
@section('content')
{{--
@section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Customer Master</strong>
</li>
@endsection--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Add Customers</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <form method="get" class="form-horizontal">
                <div class="form-group">
                    <div class="col-sm-12">
                        <label>ID# </label>
                        <input type="text" class="form-control" id="salesman_id"
                            name="sale_man_id_name" placeholder="ID#">
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>First Name </label>
                        <input type="text" class="form-control" id="first_name_id"
                            name="first_name_1" placeholder="First Name">
                    </div>
                    <div class="col-sm-6">
                        <label>Last Name </label>
                        <input type="text" class="form-control" id="first_name_id"
                            name="last_name_1" placeholder="Last Name">
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Mobile No # 1</label>
                        <input type="text" name="saleman_mobile_no_1" id="saleman_mobile_no_1_id" placeholder="Mobile No # 1" class="form-control">
                    </div>
                    <div class="col-sm-6">
                        <label>Mobile No # 2</label>
                        <input type="text" name="saleman_mobile_no_2" id="saleman_mobile_no_2_id" placeholder="Mobile No # 2" class="form-control">
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <button class="btn btn-primary pull-right" type="submit">Add Salesman</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
</script>
@endsection
