@extends('layouts.master_user')
@section('page-title')
Reminders
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }

.ibox-title {
    background-color: #efefef;
    border-style: none;
}

</style>

@endsection
@section('others')
active
@endsection
@section('admin-remainders')
active
@endsection
@section('content')
{{--
@section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Customer Master</strong>
</li>
@endsection--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Add Customers</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <form method="get" class="form-horizontal">
                <div class="row">
                    <div class="container center-container">
                        <div class="col-lg-12">
                            <div class="ibox float-e-margins">
                                {{-- <div class="ibox-title">
                                    <h5>Notifications</h5>
                                    <div class="ibox-tools">
                                    </div>
                                </div> --}}
                                <div class="ibox-content">
                                    <div>
                                        <div class="feed-activity-list">
                                            @foreach ($remainders as $item)
                                                <div class="feed-element">
                                                    <div class="media-body ">
                                                        <small class="pull-right">{{$item->created_at}}</small>
                                                        <strong>{{$item->title}}</strong>
                                                        <p>{{$item->description}}.</p>
                                                    </div>
                                                </div>
                                            @endforeach
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
</script>
@endsection
