<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>OTP Verification</title>

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

  <style>
    /* Custom Styles */
    body {
      font-family: Arial, sans-serif;
      background: linear-gradient(135deg, #3b5de7, #FD673A);
      background-repeat: no-repeat;
      background-size: cover;
      background-position: center;
    }

    .container {
      max-width: 600px;
      margin: 0 auto;
      padding: 20px;
      background-color: #ffffff;
      border-radius: 6px;
      box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    }

    h1 {
      font-size: 24px;
      color: #333333;
      margin-bottom: 20px;
    }

    p {
      margin-bottom: 20px;
      color: #666666;
    }

    .otp {
      display: inline-block;
      background-color: #ffffff;
      color: #333333;
      padding: 8px 12px;
      font-size: 18px;
      border-radius: 4px;
    }

    .instruction {
      font-weight: bold;
      margin-bottom: 10px;
      color: #ffffff;
    }
  </style>
</head>

<body>
  <div class="container">
    <h1>OTP Verification</h1>
    <p class="instruction">Please use the following OTP to verify your account:</p>
    <p class="otp"><?php echo e(session('code')); ?></p>
    <p class="note">Note: This OTP is valid for 5 minutes only.</p>
    <p>If you did not request this OTP, please ignore this email.</p>
    <p>Best regards,<br> Your Company</p>
  </div>
</body>

</html>
<?php /**PATH D:\Xampp\htdocs\acp v2\acp\resources\views/emails/verificationMail.blade.php ENDPATH**/ ?>