
<?php $__env->startSection('content'); ?>
    <div class="main-content">

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">User Profile</h6>
                            </div>
                            <!-- <div class="col-md-10">
                                                                    <button class="btn btn-primary" type="submit">View All Admins</button>
                                                                </div> -->
                        </div>
                        <!-- <div class="col-4"> -->
                        <form action="<?php echo e(route('crusher.branches.profile_update')); ?>" class="outer-repeater" method="POST"
                            enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-md-12">
                                    <?php if(auth()->user()->role == 'admin'): ?>
                                        <div class="form-group">
                                            <label>Branch Address</label>
                                            <textarea class="form-control" placeholder="Branch Address" type="text" iid="example-password-input" rows="3"
                                                name="address"><?php echo e($branch->address ?? ''); ?></textarea>
                                        </div>
                                    <?php else: ?>
                                        <div class="form-group">
                                            <label>Branch Address</label>
                                            <textarea class="form-control" placeholder="Branch Address" type="text" iid="example-password-input" rows="3"
                                                disabled><?php echo e($branch->address ?? ''); ?></textarea>
                                        </div>
                                    <?php endif; ?>
                                </div>

                                <?php if(auth()->user()->role == 'admin'): ?>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Company Logo</label>
                                            <input class="form-control" type="file" id="image1"
                                                id="example-logo-input" name="company_logo">
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>User Profile</label>
                                        <input class="form-control" type="file" id="image2" id="example-logo-input"
                                            name="image">
                                    </div>
                                </div>

                                <div class="col-md-4">
                                </div>

                                <?php if(!empty(($comapnyLogo = auth()->user()->company_logo))): ?>
                                    <div class="col-md-4">
                                        <img class="img-thumbnail profile-img rounded-circle"
                                            id="preview-image-before-upload1" alt="200x200" src="<?php echo e(asset('storage/'.$comapnyLogo)); ?>"
                                            data-holder-rendered="true">
                                    </div>
                                <?php else: ?>
                                    <div class="col-md-4">
                                        <img class="img-thumbnail profile-img rounded-circle"
                                            id="preview-image-before-upload1" alt="200x200"
                                            src="assets/images/ypur logo.png" data-holder-rendered="true">
                                    </div>
                                <?php endif; ?>

                                <?php if(!empty(($pp = auth()->user()->image))): ?>
                                    <div class="col-md-4">
                                        <img class="img-thumbnail profile-img" id="preview-image-before-upload2"
                                            alt="200x200" src="<?php echo e(asset('storage/'.$pp)); ?>"
                                            data-holder-rendered="true">
                                    </div>
                                <?php else: ?>
                                    <div class="col-md-4">
                                        <img class="img-thumbnail profile-img" id="preview-image-before-upload2"
                                            alt="200x200" src="assets/images/user-profile (1).jpg"
                                            data-holder-rendered="true">
                                    </div>
                                <?php endif; ?>

                            </div>

                            <button class="btn btn-cust1 float-right" type="submit">Submit</button>

                        </form>


                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->

    <div class="modal fade bs-example-modal-center1" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="col-md-12 text-center">
                        <div class="pt-4 pb-4">
                            <i class="fas fa-check checkp "></i>
                            <h4 class="card-title font-size-18">Successfully Recorded
                            </h4>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->


    <div class="modal fade bs-example-modal-center2" tabindex="-2" role="dialog" aria-labelledby="mySmallModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="col-md-12 text-center">
                        <div class="pt-4 pb-4">
                            <i class="fas fa-times crossp "></i>
                            <h4 class="card-title font-size-18">Submission Failed
                            </h4>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->

    </div>

    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

    <script type="text/javascript">
        $(document).ready(function(e) {


            $('#image1').change(function() {

                let reader = new FileReader();

                reader.onload = (e) => {

                    $('#preview-image-before-upload1').attr('src', e.target.result);
                }

                reader.readAsDataURL(this.files[0]);

            });

        });
    </script>

    <script type="text/javascript">
        $(document).ready(function(e) {


            $('#image2').change(function() {

                let reader = new FileReader();

                reader.onload = (e) => {

                    $('#preview-image-before-upload2').attr('src', e.target.result);
                }

                reader.readAsDataURL(this.files[0]);

            });

        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Xampp\htdocs\acp\v2\acpnew\resources\views/crusher/crusher-profile.blade.php ENDPATH**/ ?>