
<?php $__env->startSection('content'); ?>

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Stock Report
                            </h6>
                        </div>

                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">Item Name: <span><?php echo e($item->name); ?></span></h6>
                            <h6 class="">Date: <span><?php echo e($from_date); ?></span> To <span><?php echo e($to_date); ?></span></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>

                            </div>
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                    <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                        <table  class="table table-hover table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th class="text-center">Date</th>
                                    <th class="text-center">Account Name</th>
                                    <th class="text-center">Voucher Description</th>
                                    <th class="text-center" colspan="3">Inward</th>
                                    <th class="text-center" colspan="3">Outward</th>
                                </tr>
                                <tr>
                                    <th></th>
                                    <th></th>
                                    <th></th>
                                    <th>QTY</th>
                                    <th>Rate</th>
                                    <th>Net Total</th>
                                    <th>QTY</th>
                                    <th>Rate</th>
                                    <th>Profit</th>
                                </tr>
                            </thead>

                            <tbody>
                                <?php $__currentLoopData = $purchase_invoices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $purchase_invoice): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($purchase_invoice->date); ?></td>
                                        <td>
                                            <?php echo e($purchase_invoice->customer->name_of_organisation ??
                                                $purchase_invoice->supplier->name_of_organisation ??
                                                $purchase_invoice->Expense->account_name ??
                                                $purchase_invoice->AdminOtherAccount->account_name ??
                                                $purchase_invoice->StaffAndSalesman->first_name . ' ' . $purchase_invoice->StaffAndSalesman->last_name ??
                                                ''); ?>

                                        </td>
                                        <td><strong><a href="<?php echo e(route('crusher.purchase_invoices.show', ['purchase_invoice' => $purchase_invoice->id])); ?>">Puchase# <?php echo e($purchase_invoice->invoice_no); ?></a></strong></td>

                                        <td><strong><?php echo e($purchase_invoice->quantity); ?></strong></td>
                                        <td><strong><?php echo e($purchase_invoice->rate_unit); ?></strong></td>
                                        <td><strong><?php echo e($purchase_invoice->quantity * $purchase_invoice->rate_unit); ?></strong></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php $__currentLoopData = $sale_invoices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $sale_invoice): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($sale_invoice->date); ?></td>
                                    <td>
                                        <?php echo e($sale_invoice->customer->name_of_organisation ??
                                            $sale_invoice->supplier->name_of_organisation ??
                                            $sale_invoice->Expense->account_name ??
                                            $sale_invoice->AdminOtherAccount->account_name ??
                                            $sale_invoice->StaffAndSalesman->first_name . ' ' . $sale_invoice->StaffAndSalesman->last_name ??
                                            ''); ?>

                                    </td>
                                    <td><strong><a href="<?php echo e(route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $sale_invoice->id])); ?>">Sales# <?php echo e($sale_invoice->invoice_no); ?></a></strong></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td><strong><?php echo e($sale_invoice->quantity); ?></strong></td>
                                    <td><strong><?php echo e($sale_invoice->rate_unit); ?></strong></td>

                                    <td><strong><?php echo e(isset($profits[$key]) ? $profits[$key] : ''); ?></strong></td>


                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                            </tbody>

                        </table>
                    </div>

                    <br>
                    <div class="row">
                        <div class="col-md-4">
                        </div>
                        <div class="col-md-4">
                        </div>
                        <div class="col-md-4">
                            <div class="row">
                                <div class="col-md-6">
                                    <p>Opening Quantity : <span>0 Pcs</span></p>
                                    <p>Current Quantity : <span>0 Pcs</span></p>
                                    <p>Closing Quantity : <span>0 Pcs</span></p>
                                </div>
                                <div class="col-md-6">
                                    <p>Opening Total : <span>0.000</span></p>
                                    <p>Current Total : <span>0.000</span></p>
                                    <p>Closing Total : <span>0.000</span></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->
<script>
    function printPageArea(areaID) {
        var printContent = document.getElementById(areaID).innerHTML;
        var originalContent = document.body.innerHTML;
        document.body.innerHTML = printContent;
        window.print();
        document.body.innerHTML = originalContent;
    }
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Xampp\htdocs\acp\v2\acpnew\resources\views/crusher/reports/particular-item-query.blade.php ENDPATH**/ ?>