
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Receipt Voucher</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="<?php echo e(route('crusher.receipt_vouchers.create')); ?>">
                                <button class="btn btn-cust1 float-right" type="submit">Create Receipt Voucher</button>
                            </a>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->


                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="datatable" class="table table-bordered nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Receipt Voucher Number</th>
                                    <th>Account Name</th>
                                    <th>Amount</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $receipts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $receipt): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    
                                    <tr>
                                        <td><?php echo e($receipt->date); ?></td>
                                        <td><?php echo e($receipt->invoice_no); ?></td>
                                        <td>
                                            <?php if(!empty($receipt->expense[0]->account)): ?>
                                                <?php echo e($receipt->expense[0]->account->name_of_organisation ?? ($receipt->expense[0]->account->account_name ?? $receipt->expense[0]->account->first_name . ' ' . $receipt->expense[0]->account->last_name)); ?>

                                            <?php endif; ?>
                                        </td>
                                        <td><?php echo e($receipt->expense->sum('amount')); ?></td>
                                        <td>
                                            <a
                                                href="<?php echo e(route('crusher.receipt_vouchers.show', ['receipt_voucher' => $receipt->id])); ?>">
                                                <i class="far fa-eye cust-icon2"></i></a>
                                            <?php if(!$receipt->trashed()): ?>
                                                <a
                                                    href="<?php echo e(route('crusher.receipt_vouchers.edit', ['receipt_voucher' => $receipt->id])); ?>">
                                                    <i class="far fa-edit cust-icon2"></i></a>
                                                <form
                                                    action="<?php echo e(route('crusher.receipt_vouchers.delete', ['receipt_voucher' => $receipt->id])); ?>"
                                                    method="POST" class="d-inline">
                                                    <?php echo csrf_field(); ?>
                                                    <?php echo method_field('DELETE'); ?>
                                                    <input type="hidden" name="invoice_no"
                                                        value="<?php echo e($receipt->invoice_no); ?>">
                                                    <button onclick="return confirm('Sure want to delete?')" type="submit"
                                                        class="btn btn-link p-0 m-0 text-danger">
                                                        <i class="far fa-window-close cust-icon2"></i>
                                                    </button>
                                                </form>
                                            <?php else: ?>
                                                <span class="text-danger">Deleted</span>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/codenszi/public_html/acpnew/resources/views/crusher/trans_receipt_voucher/index.blade.php ENDPATH**/ ?>