
<?php $__env->startSection('css'); ?>
<style>
    #custom-search-input {
        padding: 3px;
        border: solid 1px #E4E4E4;
        border-radius: 6px;
        background-color: #fff;
    }

    #custom-search-input input {
        border: 0;
        box-shadow: none;
    }

    #custom-search-input button {
        margin: 2px 0 0 0;
        background: none;
        box-shadow: none;
        border: 0;
        color: #666666;
        padding: 0 8px 0 10px;
        border-left: solid 1px #ccc;
    }

    #custom-search-input button:hover {
        border: 0;
        box-shadow: none;
        border-left: solid 1px #ccc;
    }

    #custom-search-input .glyphicon-search {
        font-size: 23px;
    }

    .button-height {
        padding: 20px;
        height: 120px;
    }
    h3{
        text-align: center;
    }
    .test {width:25%;float:left;margin-right:20px}
</style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class=" container wrapper wrapper-content animated fadeInRight">
    <div class="row m-t-md">
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('country-location-master')): ?>
            <div class="col-md-4 m-b-md">
                <a href=<?php echo e(url('/main-menu/countries-and-locations')); ?> class="btn btn-primary block full-width button-height">
                    <h2><strong>Country & Location Master</strong></h2>
                </a>
            </div>
        <?php endif; ?>
        <div class="col-md-4 m-b-md">
            <a href=<?php echo e(url('/select-country-and-location')); ?> class="btn btn-primary block full-width button-height">
                <h2><strong>Continue to Dashboard</strong></h2>
            </a>
            
        </div>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('users-and-privileges-master')): ?>
            <div class="col-md-4 m-b-md">
                <a href=<?php echo e(url('/main-menu/users-and-privileges')); ?> class="btn btn-primary block full-width button-height">
                    <h2><strong>Users & Privileges Master</strong></h2>
                </a>
            </div>
        <?php endif; ?>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('search-keyword-number-permission')): ?>
            <div class="col-md-4 m-b-md">
                <a href=<?php echo e(url('search-keyword-number')); ?> class="btn btn-primary block full-width button-height">
                    <h2><strong>Search Keyword / Number</strong></h2>
                </a>
                
            </div>
        <?php endif; ?>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('stock-search-permission')): ?>
            <div class="col-md-4 m-b-md">
                <a href=<?php echo e(url('stock-search')); ?> class="btn btn-primary block full-width button-height">
                    <h2><strong>Stock Search</strong></h2>
                </a>
                
            </div>
        <?php endif; ?>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view-edit-print-invoice-voucher-permission')): ?>
        <div class="col-md-4 m-b-md">
            <a href=<?php echo e(url('view-edit-print-invoice-voucher')); ?> class="btn btn-primary block full-width button-height">
                <h2><strong>View,Edit,Print Invoice <br> / Voucher</strong></h2>
            </a>
            
        </div>
        <?php endif; ?>
        <?php if(Auth::user()->hasRole('super-admin')): ?>
        <div class="col-md-4 m-b-md">
            <a href=<?php echo e(url('/main-menu/remainders')); ?> class="btn btn-primary block full-width button-height">
                <h2><strong>Remainders</strong></h2>
            </a>
            
        </div>
        <?php endif; ?>
        <?php if(Auth::user()->hasRole('super-admin')): ?>
        <div class="col-md-4 m-b-md">
            <a href=<?php echo e(url('main-menu/notifications')); ?> class="btn btn-primary block full-width button-height">
                <h2><strong>Notifications</strong></h2>
            </a>
            
        </div>
        <?php endif; ?>
        <div class="col-md-4 m-b-md">
            <a href=<?php echo e(url('main-menu/chat')); ?> class="btn btn-primary block full-width button-height">
                <h2><strong>Live Chat</strong></h2>
            </a>
            
        </div>
    </div>
    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('report-of-all-countries-locations')): ?>
    <div class="hr-line-dashed"></div>
    <div class="row m-t-md">
        <h3>Report of all Countries & Locations</h3>
   </div>
   <div class="row">
       <div class="col-md-4 m-b-md">
           <a href=<?php echo e(url('main-menu/trial-balance/select-date')); ?> class="btn btn-primary block full-width button-height">
               <h2><strong>Trial Balance</strong></h2>
           </a>
       </div>
       <div class="col-md-4 m-b-md">
           <a href=<?php echo e(url('main-menu/balance-sheet/select-date')); ?> class="btn btn-primary block full-width button-height">
               <h2><strong>Balance Sheet</strong></h2>
           </a>
           
       </div>
       <div class="col-md-4 m-b-md">
           <a href=<?php echo e(url('main-menu/profit-and-loss/select-date')); ?> class="btn btn-primary block full-width button-height">
               <h2><strong>Profit & Loss </strong></h2>
           </a>
       </div>
   </div>
   <?php endif; ?>
   <div class="row m-t-md">
       <div class="col-md-12">
            <a href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault();
                document.getElementById('logout-form').submit();"
                class="btn btn-primary block full-width button-height">
                <h2><strong>Logout</strong></h2>
            </a>
            <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                <?php echo csrf_field(); ?>
            </form>
       </div>
    </div>
</div>




<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script>
    function stockSearch(){
    window.location.href="stock-search";
}
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master_user_without_nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/user/main_menu/index.blade.php ENDPATH**/ ?>