@extends('layouts.crusher')
@section('content')




    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Balance Sheet</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <form action="#" class="outer-repeater">


                        <div class="row">

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>From Date</label>
                                    <input class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}">
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>To Date</label>
                                    <input id="to_date" class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}">
                                </div>
                            </div>

                        </div>



                        <button class="btn btn-cust1" type="submit"><i class="fas fa-check"></i>
                            View Balance Sheet</button>

                            <br><br><br>

                            <div class="row">

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">Select View Type</label>
                                        <select class="form-control select2" id="myDropdown"
                                            onchange="myFunction()">
                                            <option value="show">Detail View</option>
                                            <option value="hide">Condense View</option>
                                        </select>
                                    </div>
                                </div>



                                <div class="col-md-6">
                                </div>

                            </div>

                            <div class="row">

                                <div class="col-md-6">
                                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                                        <table id="datatable" class="table table-bordered nowrap"
                                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                            <thead>
                                                <tr>
                                                    <td class="text-center text-dark bg-tdcust fw-bold font-size-18" colspan="3">Liabilities</td>
                                                </tr>
                                            </thead>

                                            <tbody>
                                                <tr>
                                                    <td>LoReserve And Surplus</td>
                                                    <td></td>
                                                    <td>0.000</td>
                                                </tr>
                                                <tr>
                                                    <td>Retained Earnings</td>
                                                    <td></td>
                                                    <td>0.000</td>
                                                </tr>
                                                <tr>
                                                    <td>Capital Account</td>
                                                    <td></td>
                                                    <td>0.000</td>
                                                </tr>
                                                <tr>
                                                    <td>Sundry Creditors</td>
                                                    <td></td>
                                                    <td>0.000</td>
                                                </tr>
                                                <tr>
                                                    <td>VAT Payable / Receiveable</td>
                                                    <td></td>
                                                    <td>0.000</td>
                                                </tr>
                                                <tr>
                                                    <td>Current Liabilities</td>
                                                    <td></td>
                                                    <td>0.000</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                                        <table id="datatable" class="table table-bordered nowrap"
                                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                            <thead>
                                                <tr>
                                                    <td class="text-center bg-tdcust text-dark fw-bold font-size-18" colspan="3">Assets</td>
                                                </tr>
                                            </thead>

                                            <tbody>
                                                <tr>
                                                    <td>Bank Accounts</td>
                                                    <td></td>
                                                    <td>0.000</td>
                                                </tr>
                                                <tr id="pricehidden1">
                                                    <td>Cash</td>
                                                    <td>0.000</td>
                                                    <td></td>
                                                </tr>
                                                <tr>
                                                    <td>Cash In Hands</td>
                                                    <td></td>
                                                    <td>0.000</td>
                                                </tr>
                                                <tr>
                                                    <td>Advance</td>
                                                    <td></td>
                                                    <td>0.000</td>
                                                </tr>
                                                <tr>
                                                    <td>Closing Stock</td>
                                                    <td></td>
                                                    <td>0.000</td>
                                                </tr>
                                                <tr>
                                                    <td>Sundry Debtors</td>
                                                    <td></td>
                                                    <td>0.000</td>
                                                </tr>
                                                <tr>
                                                    <td>Current Assets</td>
                                                    <td></td>
                                                    <td>0.000</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>

                            </div>

                    </form>


                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->


<script>
    function myFunction() {
        var dropdown = document.getElementById("myDropdown");
        var pricehidden1 = document.getElementById("pricehidden1");
        // var pricehidden2 = document.getElementById("pricehidden2");
        // var pricehidden3 = document.getElementById("pricehidden3");

        if (dropdown.value === "hide") {
            pricehidden1.style.display = "none";
            // pricehidden2.style.display = "none";
            // pricehidden3.style.display = "none";
        } else {
            pricehidden1.style.display = "block";
            // pricehidden2.style.display = "block";
            // pricehidden3.style.display = "block";
        }
    }
</script>

@endsection
