@extends('layouts.crusher')
@section('content')





    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Day Book Report</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->


                    <div class="row">
                        {{-- <div class="col-md-6">
                        </div> --}}
                        <div class="col-md-6">
                            <h6 class="">Date: <span>{{ $from_date }}</span> To <span>{{ $to_date }}</span></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a  class="btn btn-outline-primary" onclick="printPageArea('printableArea')"> Print & PDF
                                    Formate</a>

                            </div>
                        </div>
                    </div>
                    <br>

                    <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                        <table  class="table table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Account Name</th>
                                    <th>Voucher Description</th>
                                    <th>Debit</th>
                                    <th>Credit</th>
                                </tr>
                            </thead>

                            <tbody>
                                <?php
                                    $DebitNoteTotal = 0;
                                    $purchasInvoiceTotal = 0;
                                    $ReceiptVoucherExpenseTotal = 0;
                                    $PaymentVoucherExpenseTotal = 0;
                                    $CreditNoteTotal = 0;
                                    $saleInvoiceTotal = 0;
                                    $debitTotal = 0;
                                    $creditTotal = 0;
                                ?>

                                @foreach($Debit_Notes as $Debit_Note)
                                    <tr>
                                        <td>{{ $Debit_Note->date }}</td>
                                        <td>
                                            {{
                                                $Debit_Note->customer->name_of_organisation ??
                                                $Debit_Note->supplier->name_of_organisation ??
                                                $Debit_Note->Expense->account_name ??
                                                $Debit_Note->AdminOtherAccount->account_name ??
                                                $Debit_Note->StaffAndSalesman->first_name . ' ' . $Debit_Note->StaffAndSalesman->last_name ??
                                                ''
                                            }}
                                        </td>
                                        <td><strong><a href="{{ route('crusher.debit_notes.show', ['debit_note' => $Debit_Note->id]) }}">Debit Notes#
                                                {{ $Debit_Note->invoice_no }}</a></strong></td>
                                        <td><strong>{{ $Debit_Note->total_net_amount }}</strong></td>
                                        <td></td>
                                        <?php $DebitNoteTotal += $Debit_Note->total_net_amount; ?>
                                    </tr>
                                @endforeach

                                @foreach($Credit_Notes as $Credit_Note)
                                    <tr>
                                        <td>{{ $Credit_Note->date }}</td>
                                        <td>
                                            {{
                                                $Credit_Note->customer->name_of_organisation ??
                                                $Credit_Note->supplier->name_of_organisation ??
                                                $Credit_Note->Expense->account_name ??
                                                $Credit_Note->AdminOtherAccount->account_name ??
                                                $Credit_Note->StaffAndSalesman->first_name . ' ' . $Credit_Note->StaffAndSalesman->last_name ??
                                                ''
                                            }}
                                        </td>
                                        <td><strong><a href="{{ route('crusher.credit_notes.show', ['credit_note' => $Credit_Note->id]) }}">Credit Note#
                                                {{ $Credit_Note->invoice_no }}</a></strong></td>
                                        <td></td>
                                        <td><strong>{{ $Credit_Note->total_net_amount }}</strong></td>
                                        <?php $CreditNoteTotal += $Credit_Note->total_net_amount ?>
                                    </tr>
                                @endforeach

                                @foreach($purchase_invoices as $purchase_invoice)
                                    <tr>
                                        <td>{{ $purchase_invoice->date }}</td>
                                        <td>
                                            {{
                                                $purchase_invoice->customer->name_of_organisation ??
                                                $purchase_invoice->supplier->name_of_organisation ??
                                                $purchase_invoice->Expense->account_name ??
                                                $purchase_invoice->AdminOtherAccount->account_name ??
                                                $purchase_invoice->StaffAndSalesman->first_name . ' ' . $purchase_invoice->StaffAndSalesman->last_name ??
                                                ''
                                            }}
                                        </td>
                                        <td><strong><a href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $purchase_invoice->id]) }}">Puchase# {{ $purchase_invoice->invoice_no }}</a></strong></td>
                                        <td><strong>{{ $purchase_invoice->total_net_amount }}</strong></td>
                                        <td></strong></td>
                                        <?php $purchasInvoiceTotal += $purchase_invoice->total_net_amount ?>
                                    </tr>
                                @endforeach

                                @foreach($sale_invoices as $sale_invoice)
                                    <tr>
                                        <td>{{ $sale_invoice->date }}</td>
                                        <td>
                                            {{
                                                $sale_invoice->customer->name_of_organisation ??
                                                $sale_invoice->supplier->name_of_organisation ??
                                                $sale_invoice->Expense->account_name ??
                                                $sale_invoice->AdminOtherAccount->account_name ??
                                                $sale_invoice->StaffAndSalesman->first_name . ' ' . $sale_invoice->StaffAndSalesman->last_name ??
                                                ''
                                            }}
                                        </td>

                                        <td><strong><a href="{{ route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $sale_invoice->id]) }}">Sales# {{ $sale_invoice->invoice_no }}</a></strong></td>
                                        <td></td>
                                        <td><strong>{{ $sale_invoice->total_net_amount }}</strong></td>
                                        <?php $saleInvoiceTotal += $sale_invoice->total_net_amount ?>
                                    </tr>
                                @endforeach

                                @foreach($Receipt_Voucher_Expenses as $Receipt_Voucher_Expense)
                                    <tr>
                                        <td>{{ $Receipt_Voucher_Expense->date }}</td>
                                        <td>
                                            @foreach($Receipt_Voucher_Expense->expense as $voucher)
                                                {{
                                                    optional($voucher->customer)->name_of_organisation ??
                                                    optional($voucher->supplier)->name_of_organisation ??
                                                    optional($voucher->expense)->account_name ??
                                                    optional($voucher->adminOtherAccount)->account_name ??
                                                    optional($voucher->staffAndSalesman)->first_name . ' ' . optional($voucher->staffAndSalesman)->last_name ??
                                                    ''
                                                }}
                                            @endforeach
                                        </td>
                                        <td><strong><a href="{{ route('crusher.receipt_vouchers.show', ['receipt_voucher' => $Receipt_Voucher_Expense->id]) }}">Receipt#
                                                {{ $Receipt_Voucher_Expense->invoice_no }}</a></strong></td>
                                        <td><strong>{{ $Receipt_Voucher_Expense->expense->sum('amount') }}</strong></td>
                                        <td></td>
                                        <?php $ReceiptVoucherExpenseTotal += $Receipt_Voucher_Expense->expense->sum('amount') ?>
                                    </tr>
                                @endforeach

                                @foreach($Payment_Voucher_Expenses as $Payment_Voucher_Expense)
                                    <tr>
                                        <td>{{ $Payment_Voucher_Expense->date }}</td>
                                        <td>
                                            @foreach($Payment_Voucher_Expense->expense as $voucher)
                                                {{
                                                    optional($voucher->customer)->name_of_organisation ??
                                                    optional($voucher->supplier)->name_of_organisation ??
                                                    optional($voucher->expense)->account_name ??
                                                    optional($voucher->adminOtherAccount)->account_name ??
                                                    optional($voucher->staffAndSalesman)->first_name . ' ' . optional($voucher->staffAndSalesman)->last_name ??
                                                    ''
                                                }}
                                            @endforeach
                                        </td>
                                        <td><strong><a href="{{ route('crusher.payment_vouchers.show', ['payment_voucher' => $Payment_Voucher_Expense->id]) }}">Payment#
                                                {{ $Payment_Voucher_Expense->invoice_no }}</a></strong></td>
                                        <td><strong>{{ $Payment_Voucher_Expense->expense->sum('amount') }}</strong></td>
                                        <td></td>
                                        <?php $PaymentVoucherExpenseTotal += $Payment_Voucher_Expense->expense->sum('amount') ?>
                                    </tr>
                                @endforeach

                                <?php
                                    $debitTotal = $DebitNoteTotal + $purchasInvoiceTotal + $ReceiptVoucherExpenseTotal + $PaymentVoucherExpenseTotal;
                                    $creditTotal = $CreditNoteTotal + $saleInvoiceTotal;
                                ?>

                                <tr>
                                    <td colspan="3"><strong>Total</strong></td>
                                    <td><strong>{{ $debitTotal }}</strong></td>
                                    <td><strong>{{ $creditTotal }}</strong></td>
                                </tr>
                            </tbody>

                        </table>
                    </div>


                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->

<script>
    function printPageArea(areaID) {
        var printContent = document.getElementById(areaID).innerHTML;
        var originalContent = document.body.innerHTML;
        document.body.innerHTML = printContent;
        window.print();
        document.body.innerHTML = originalContent;
    }
</script>
@endsection
