@extends('layouts.crusher')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Ledger Report</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">
                                @if (!empty($matchedAccount->name_of_organisation))
                                    {{ $matchedAccount->name_of_organisation }}
                                @else
                                    No organization name available.
                                @endif
                            </h6>
                            <h6 class="">Date: <span>{{ $from_date }}</span> To <span>{{ $to_date }}</span>
                            </h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>

                            </div>
                            <!-- <a href="client-add-expenses.html">
                                        <button class="btn btn-cust2 float-right" type="submit">
                                            <i class="fas fa-mail-bulk"></i>Email (PDF Formate)
                                            </button>
                                    </a>
                                    <a href=""><button type="button" class="btn btn-cust2 float-right waves-effect waves-light">
                                         <i class="fas fa-print">Print </i> & <i class="fas fa-file-pdf">PDF Formate</i>
                                    </button></a> -->
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                    <div class="row">

                        <div class="col-md-12">
                            <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Date</th>
                                            <th>Voucher Description</th>
                                            <th>Debit</th>
                                            <th>Credit</th>
                                        </tr>
                                    </thead>

                                    {{-- <tbody>
                                        <?php
                                        $debitTotal = 0;
                                        $creditTotal = 0;
                                        $PurchaesInvoiceTotal = 0;
                                        $SaleInvoiceTotal = 0;
                                        $JournalVoucherTotal = 0;
                                        $ReceiptVoucherTotal = 0;
                                        $PaymentVoucherTotal = 0;
                                        $CreditNoteTotal = 0;
                                        $DebitNoteTotal = 0;
                                        $DeliveryNoteTotal = 0;
                                        $PurchaseOrderTotal = 0;
                                        $QuotationTotal = 0;
                                        ?>

                                        @if (optional($matchedAccount)->opening_balance !== null &&
                                        optional($matchedAccount)->date >= $from_date &&
                                        optional($matchedAccount)->date <= $to_date)
                                        <tr>
                                            <td>{{ optional($matchedAccount)->date }}</td>
                                            <td>Opening balance # {{ optional($matchedAccount)->name_of_organisation }}</td>
                                            <td>
                                                @if (optional($matchedAccount)->debit_card === 'Debit')
                                                    {{ optional($matchedAccount)->opening_balance }}
                                                @endif
                                            </td>
                                            <td>
                                                @if (optional($matchedAccount)->debit_card === 'Credit')
                                                    {{ optional($matchedAccount)->opening_balance }}
                                                @endif
                                            </td>
                                        </tr>
                                        @endif


                                        @if (!empty($PurchaesInvoice))
                                            @foreach ($PurchaesInvoice as $Pinvoice)
                                                <tr>
                                                    <td>{{ $Pinvoice->date }}</td>
                                                    <td><strong><a href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $Pinvoice->id]) }}">Puchase#
                                                                {{ $Pinvoice->invoice_no }}</a></strong></td>
                                                    <td></td>
                                                    <td><strong>{{ $Pinvoice->total_net_amount }}</strong></td>
                                                    <?php $PurchaesInvoiceTotal += $Pinvoice->total_net_amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($SaleInvoice))
                                            @foreach ($SaleInvoice as $Sinvoice)
                                                <tr>
                                                    <td>{{ $Sinvoice->date }}</td>
                                                    <td><strong><a href="{{ route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $Sinvoice->id]) }}">Sales#
                                                                {{ $Sinvoice->invoice_no }}</a></strong></td>
                                                    <td><strong>{{ $Sinvoice->total_net_amount }}</strong></td>
                                                    <td></td>
                                                    <?php $SaleInvoiceTotal += $Sinvoice->total_net_amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($JournalVoucher))
                                            @foreach ($JournalVoucher as $Jinvoice)
                                                <tr>
                                                    <td>{{ $Jinvoice->date }}</td>
                                                    <td><strong><a href="{{ route('crusher.journal_vouchers.show', ['journal_voucher' => $Jinvoice->id]) }}"></a>Journal#
                                                            {{ $Jinvoice->invoice_no }}</strong></td>
                                                    <td><strong>{{ $Jinvoice->amount }}</strong></td>
                                                    <td></td>
                                                    <?php $JournalVoucherTotal += $Jinvoice->amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($ReceiptVoucher))
                                            @foreach ($ReceiptVoucher as $RVoucher)
                                                <tr>
                                                    <td>{{ $RVoucher->created_at->format('Y-m-d') }}</td>
                                                    <td><strong> <a href="{{ route('crusher.receipt_vouchers.show', ['receipt_voucher' => $RVoucher->id]) }}">Receipt#
                                                                {{ $RVoucher->inovice_id }}</a></strong></td>
                                                    <td><strong>{{ $RVoucher->amount }}</strong></td>
                                                    <td></td>
                                                    <?php $ReceiptVoucherTotal += $RVoucher->amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($PaymentVoucher))
                                            @foreach ($PaymentVoucher as $PVoucher)
                                                <tr>
                                                    <td>{{ $PVoucher->created_at->format('Y-m-d') }}</td>
                                                    <td><strong> <a href="{{ route('crusher.payment_vouchers.show', ['payment_voucher' => $PVoucher->id]) }}">Payment#
                                                                {{ $PVoucher->inovice_id }}</a></strong></td>
                                                    <td><strong>{{ $PVoucher->amount }}</strong></td>
                                                    <td></td>
                                                    <?php $PaymentVoucherTotal += $PVoucher->amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($CreditNote))
                                            @foreach ($CreditNote as $CNote)
                                                <tr>
                                                    <td>{{ $CNote->created_at->format('Y-m-d') }}</td>
                                                    <td><strong> <a href="{{ route('crusher.credit_notes.show', ['credit_note' => $CNote->id]) }}">Credit#
                                                                {{ $CNote->invoice_no }}</a></strong></td>
                                                    <td><strong>{{ $CNote->total_net_amount }}</strong></td>
                                                    <td></td>
                                                    <?php $CreditNoteTotal += $CNote->total_net_amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($DebitNote))
                                            @foreach ($DebitNote as $DNote)
                                                <tr>
                                                    <td>{{ $DNote->created_at->format('Y-m-d') }}</td>
                                                    <td><strong> <a href="{{ route('crusher.debit_notes.show', ['debit_note' => $DNote->id]) }}">Debit#
                                                                {{ $DNote->invoice_no }}</a></strong></td>
                                                    <td><strong>{{ $DNote->total_net_amount }}</strong></td>
                                                    <td></td>
                                                    <?php $DebitNoteTotal += $DNote->total_net_amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($PurchaseOrder))
                                            @foreach ($PurchaseOrder as $POrder)
                                                <tr>
                                                    <td>{{ $POrder->created_at->format('Y-m-d') }}</td>
                                                    <td><strong> <a href="{{ route('crusher.purchase_orders.show', ['purchase_order' => $POrder->id]) }}">PurchaseOrder#
                                                                {{ $POrder->invoice_no }}</a></strong></td>
                                                    <td><strong>{{ $POrder->total_net_amount }}</strong></td>
                                                    <td></td>
                                                    <?php $PurchaseOrderTotal += $POrder->total_net_amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($Quotation))
                                            @foreach ($Quotation as $Q)
                                                <tr>
                                                    <td>{{ $Q->created_at->format('Y-m-d') }}</td>
                                                    <td><strong><a href="{{ route('crusher.quotations.show', ['quotation' => $Q->id]) }}">Quotation#
                                                                {{ $Q->quotation_no }}</a></strong></td>
                                                    <td><strong>{{ $Q->total_net_amount }}</strong></td>
                                                    <td></td>
                                                    <?php $QuotationTotal += $Q->total_net_amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        <tr>
                                            <td></td>
                                            <td>Opening Balance</td>
                                            <td>{{ $openingBalance }}</td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td>Current Balance</td>
                                            <td><strong>{{ $debitTotal }}</strong></td>
                                            <td><strong>{{ $creditTotal }}</strong></td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td>Closing Balance</td>
                                            <td>{{ $debitTotal - $creditTotal }}</td>
                                            <td></td>
                                        </tr>

                                        @if (empty($PurchaesInvoice) && empty($SaleInvoice) && empty($JournalVoucher) && empty($ReceiptVoucher) && empty($PaymentVoucher) && empty($CreditNote) && empty($DebitNote) && empty($PurchaseOrder) && empty($Quotation))
                                            <tr>
                                                <td colspan="4">No data available</td>
                                            </tr>
                                        @endif
                                    </tbody> --}}


                                    <tbody>
                                        <?php
                                        $debitTotal = 0;
                                        $creditTotal = 0;
                                        $PurchaesInvoiceTotal = 0;
                                        $SaleInvoiceTotal = 0;
                                        $JournalVoucherTotal = 0;
                                        $ReceiptVoucherTotal = 0;
                                        $PaymentVoucherTotal = 0;
                                        $CreditNoteTotal = 0;
                                        $DebitNoteTotal = 0;
                                        $DeliveryNoteTotal = 0;
                                        $PurchaseOrderTotal = 0;
                                        $QuotationTotal = 0;
                                        $CreateOpeningBalance = 0;
                                        $CreateCreditOb = 0;
                                        $CreateDebitOb = 0;

                                        // $currentYearFirstDate = date('Y-m-d', strtotime(date('Y-01-01')));

                                        // $oneDayPreviousDate = date('Y-m-d', strtotime('-1 day', strtotime($from_date)));

                                        $matchedAccountDate = optional($matchedAccount)->date;

                                        if (!empty($matchedAccount)) {
                                            $debitCardValue = optional($matchedAccount)->debit_card;
                                            $matchedAccountDate = optional($matchedAccount)->date;

                                            if ($matchedAccountDate >= $from_date &&
                                                $matchedAccountDate <= $to_date) {
                                                if ($debitCardValue === 'Debit') {
                                                    $CreateDebitOb = optional($matchedAccount)->opening_balance;
                                                } elseif ($debitCardValue === 'Credit') {
                                                    $CreateCreditOb = optional($matchedAccount)->opening_balance;
                                                }
                                            }
                                        }

                                        // $matchedAccountDate = optional($matchedAccount)->date;

                                        // if (!empty($matchedAccount) &&
                                        //     $matchedAccountDate >= $currentYearFirstDate &&
                                        //     $matchedAccountDate <= $oneDayPreviousDate) {
                                        //     $CreateOpeningBalance = optional($matchedAccount)->opening_balance;
                                        // }

                                        foreach ($PurchaesInvoice as $Pinvoice) {
                                            $PurchaesInvoiceTotal += $Pinvoice->total_net_amount;
                                        }

                                        foreach ($SaleInvoice as $Sinvoice) {
                                            $SaleInvoiceTotal += $Sinvoice->total_net_amount;
                                        }

                                        foreach ($JournalVoucher as $Jinvoice) {
                                            $JournalVoucherTotal += $Jinvoice->total_net_amount;
                                        }

                                        foreach ($ReceiptVoucher as $RVoucher) {
                                            $ReceiptVoucherTotal += $RVoucher->expense->sum('amount');
                                        }

                                        foreach ($PaymentVoucher as $PVoucher) {
                                            $PaymentVoucherTotal += $PVoucher->expense->sum('amount');
                                        }
                                        foreach ($CreditNote as $CNote) {
                                            $CreditNoteTotal += $CNote->total_net_amount;
                                        }
                                        foreach ($DebitNote as $DNote) {
                                            $DebitNoteTotal += $DNote->total_net_amount;
                                        }
                                        foreach ($PurchaseOrder as $POrder) {
                                            $PurchaseOrderTotal += $POrder->total_net_amount;
                                        }
                                        foreach ($Quotation as $Q) {
                                            $QuotationTotal += $Q->total_net_amount;
                                        }

                                        $debitTotal = $CreateDebitOb + $SaleInvoiceTotal + $JournalVoucherTotal + $PaymentVoucherTotal + $CreditNoteTotal + $DebitNoteTotal + $DeliveryNoteTotal + $PurchaseOrderTotal + $QuotationTotal;

                                        $creditTotal = $PurchaesInvoiceTotal + $ReceiptVoucherTotal + $CreateCreditOb;

                                        ?>

                                        @if (optional($matchedAccount)->opening_balance !== null &&
                                        optional($matchedAccount)->date >= $from_date &&
                                        optional($matchedAccount)->date <= $to_date)
                                        <tr>
                                            <td>{{ optional($matchedAccount)->date }}</td>
                                            <td>Opening balance # {{ optional($matchedAccount)->name_of_organisation }}</td>
                                            <td>
                                                @if (optional($matchedAccount)->debit_card === 'Debit')
                                                    {{ optional($matchedAccount)->opening_balance }}
                                                @endif
                                            </td>
                                            <td>
                                                @if (optional($matchedAccount)->debit_card === 'Credit')
                                                    {{ optional($matchedAccount)->opening_balance }}

                                                @endif
                                            </td>
                                        </tr>
                                        @endif


                                        @if (!empty($PurchaesInvoice))
                                            @foreach ($PurchaesInvoice as $Pinvoice)
                                                <tr>
                                                    <td>{{ $Pinvoice->date }}</td>
                                                    <td><strong><a href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $Pinvoice->id]) }}">Puchase#
                                                                {{ $Pinvoice->invoice_no }}</a></strong></td>
                                                    <td></td>
                                                    <td><strong>{{ $Pinvoice->total_net_amount }}</strong></td>
                                                    <?php $PurchaesInvoiceTotal += $Pinvoice->total_net_amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($SaleInvoice))
                                            @foreach ($SaleInvoice as $Sinvoice)
                                                <tr>
                                                    <td>{{ $Sinvoice->date }}</td>
                                                    <td><strong><a href="{{ route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $Sinvoice->id]) }}">Sales#
                                                                {{ $Sinvoice->invoice_no }}</a></strong></td>
                                                    <td><strong>{{ $Sinvoice->total_net_amount }}</strong></td>
                                                    <td></td>
                                                    <?php $SaleInvoiceTotal += $Sinvoice->total_net_amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($JournalVoucher))
                                            @foreach ($JournalVoucher as $Jinvoice)
                                                <tr>
                                                    <td>{{ $Jinvoice->date }}</td>
                                                    <td><strong><a href="{{ route('crusher.journal_vouchers.show', ['journal_voucher' => $Jinvoice->id]) }}"></a>Journal#
                                                            {{ $Jinvoice->invoice_no }}</strong></td>
                                                    <td><strong>{{ $Jinvoice->amount }}</strong></td>
                                                    <td></td>
                                                    <?php $JournalVoucherTotal += $Jinvoice->amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($ReceiptVoucher))
                                            @foreach ($ReceiptVoucher as $RVoucher)
                                                <tr>
                                                    <td>{{ $RVoucher->created_at->format('Y-m-d') }}</td>
                                                    <td><strong> <a href="{{ route('crusher.receipt_vouchers.show', ['receipt_voucher' => $RVoucher->id]) }}">Receipt#
                                                                {{ $RVoucher->invoice_no }}</a></strong></td>
                                                    <td></td>
                                                    <td><strong>{{ $RVoucher->expense->sum('amount') }}</strong></td>
                                                    <?php $ReceiptVoucherTotal += $RVoucher->expense->sum('amount'); ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($PaymentVoucher))
                                            @foreach ($PaymentVoucher as $PVoucher)
                                                <tr>
                                                    <td>{{ $PVoucher->created_at->format('Y-m-d') }}</td>
                                                    <td><strong> <a href="{{ route('crusher.payment_vouchers.show', ['payment_voucher' => $PVoucher->id]) }}">Payment#
                                                                {{ $PVoucher->invoice_no }}</a></strong></td>
                                                    <td><strong>{{ $PVoucher->expense->sum('amount') }}</strong></td>
                                                    <td></td>
                                                    <?php $PaymentVoucherTotal += $PVoucher->expense->sum('amount'); ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($CreditNote))
                                            @foreach ($CreditNote as $CNote)
                                                <tr>
                                                    <td>{{ $CNote->created_at->format('Y-m-d') }}</td>
                                                    <td><strong> <a href="{{ route('crusher.credit_notes.show', ['credit_note' => $CNote->id]) }}">Credit#
                                                                {{ $CNote->invoice_no }}</a></strong></td>
                                                    <td><strong>{{ $CNote->total_net_amount }}</strong></td>
                                                    <td></td>
                                                    <?php $CreditNoteTotal += $CNote->total_net_amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($DebitNote))
                                            @foreach ($DebitNote as $DNote)
                                                <tr>
                                                    <td>{{ $DNote->created_at->format('Y-m-d') }}</td>
                                                    <td><strong> <a href="{{ route('crusher.debit_notes.show', ['debit_note' => $DNote->id]) }}">Debit#
                                                                {{ $DNote->invoice_no }}</a></strong></td>
                                                    <td><strong>{{ $DNote->total_net_amount }}</strong></td>
                                                    <td></td>
                                                    <?php $DebitNoteTotal += $DNote->total_net_amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($PurchaseOrder))
                                            @foreach ($PurchaseOrder as $POrder)
                                                <tr>
                                                    <td>{{ $POrder->created_at->format('Y-m-d') }}</td>
                                                    <td><strong> <a href="{{ route('crusher.purchase_orders.show', ['purchase_order' => $POrder->id]) }}">PurchaseOrder#
                                                                {{ $POrder->invoice_no }}</a></strong></td>
                                                    <td><strong>{{ $POrder->total_net_amount }}</strong></td>
                                                    <td></td>
                                                    <?php $PurchaseOrderTotal += $POrder->total_net_amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        @if (!empty($Quotation))
                                            @foreach ($Quotation as $Q)
                                                <tr>
                                                    <td>{{ $Q->created_at->format('Y-m-d') }}</td>
                                                    <td><strong><a href="{{ route('crusher.quotations.show', ['quotation' => $Q->id]) }}">Quotation#
                                                                {{ $Q->quotation_no }}</a></strong></td>
                                                    <td><strong>{{ $Q->total_net_amount }}</strong></td>
                                                    <td></td>
                                                    <?php $QuotationTotal += $Q->total_net_amount; ?>
                                                </tr>
                                            @endforeach
                                        @endif

                                        <tr>
                                            <td></td>
                                            <td>Opening Balance</td>
                                            <td>{{ number_format($DebitopeningBalance, 2, '.', '') }}</td>
                                            <td>{{ number_format($creditOpeningBalance, 2, '.', '') }}</td>

                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td>Current Balance</td>
                                            <td><strong>{{ $debitTotal }}</strong></td>
                                            <td><strong>{{ $creditTotal }}</strong></td>
                                        </tr>
                                        <?php
                                        // Closing Balance

                                        $DebitCB = $debitTotal + $DebitopeningBalance;

                                        $CreditCB = $creditTotal + $creditOpeningBalance;

                                        $ClosingBalance = $DebitCB - $CreditCB;

                                        ?>
                                        <tr>
                                            <td></td>
                                            <td>Closing Balance</td>
                                            <td>{{ $ClosingBalance >= 0 ? number_format($ClosingBalance, 2, '.', '') : '0.00' }}</td>
                                            <td>{{ $ClosingBalance < 0 ? number_format(abs($ClosingBalance), 2, '.', '') : '0.00' }}</td>
                                        </tr>
                                        @if (empty($PurchaesInvoice) && empty($SaleInvoice) && empty($JournalVoucher) && empty($ReceiptVoucher) && empty($PaymentVoucher) && empty($CreditNote) && empty($DebitNote) && empty($PurchaseOrder) && empty($Quotation))
                                            <tr>
                                                <td colspan="4">No data available</td>
                                            </tr>
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
@endsection
