@extends('layouts.crusher')
@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Stock Report
                            </h6>
                        </div>

                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">Item Name: <span>{{ $item->name }}</span></h6>
                            <h6 class="">Date: <span>{{ $from_date }}</span> To <span>{{ $to_date }}</span></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>

                            </div>
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                    <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                        <table  class="table table-hover table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th class="text-center">Date</th>
                                    <th class="text-center">Account Name</th>
                                    <th class="text-center">Voucher Description</th>
                                    <th class="text-center" colspan="3">Inward</th>
                                    <th class="text-center" colspan="4">Outward</th>
                                </tr>
                                <tr>
                                    <th></th>
                                    <th></th>
                                    <th></th>
                                    <th>QTY</th>
                                    <th>Rate</th>
                                    <th>Net Total</th>
                                    <th>QTY</th>
                                    <th>Rate</th>
                                    <th>Net Total</th>
                                    <th>Profit</th>
                                </tr>
                            </thead>

                            <tbody>
                                @php

                                    $PurchaseTotalQuantity = 0;
                                    $PurchaseRateUnit = 0;
                                    $PurchaseNetAmount = 0;

                                    $obInventoryTotalQuantity = 0;
                                    $obInventoryRateUnit = 0;
                                    $obInventoryNetAmount = 0;

                                    $SaleTotalQuantity = 0;
                                    $SaleRateUnit = 0;
                                    $SaleNetAmount = 0;
                                    $SaleProfits = 0;
                                @endphp

                                @foreach($openingBalanceForInventory as $data)
                                <tr>
                                    <td>{{ $data['date'] }}</td>
                                    <td>Opening Inventory</td>
                                    <td>
                                        <strong><a href="#">Inventory# {{ $data['invoice_no'] }}</a></strong>
                                    </td>
                                    <td><strong>{{ $data['quantity'] }}</strong></td>
                                    <td><strong>{{ $data['rate_unit'] }}</strong></td>
                                    <td><strong>{{ $data['quantity'] * $data['rate_unit'] }}</strong></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                </tr>
                                @php
                                    $obInventoryTotalQuantity += $data['quantity'];
                                    $obInventoryRateUnit += $data['rate_unit'];
                                    $obInventoryNetAmount += $data['quantity'] * $data['rate_unit'];
                                @endphp
                            @endforeach
                            @foreach($originalPurchaseInvoice as $data)
                                <tr>
                                    <td>{{ $data['date'] }}</td>
                                    <td>
                                        {{
                                            $data['customer']['name_of_organisation'] ??
                                            $data['supplier']['name_of_organisation'] ??
                                            $data['Expense']['account_name'] ??
                                            $data['AdminOtherAccount']['account_name'] ??
                                            $data['StaffAndSalesman']['first_name'] . ' ' . $data['StaffAndSalesman']['last_name'] ??
                                            ''
                                        }}
                                    </td>
                                    <td>
                                        <strong><a href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $data['id']]) }}">Purchase# {{ $data['invoice_no'] }}</a></strong>
                                    </td>
                                    <td><strong>{{ $data['quantity'] }}</strong></td>
                                    <td><strong>{{ $data['rate_unit'] }}</strong></td>
                                    <td><strong>{{ $data['quantity'] * $data['rate_unit'] }}</strong></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                </tr>
                                @php
                                    $PurchaseTotalQuantity += $data['quantity'];
                                    $PurchaseRateUnit += $data['rate_unit'];
                                    $PurchaseNetAmount += $data['quantity'] * $data['rate_unit'];
                                @endphp
                            @endforeach

                            @foreach($salesInvoice as $data)
                                <tr>
                                    <td>{{ $data['date'] }}</td>
                                    <td>
                                        {{
                                            $data['customer']['name_of_organisation'] ??
                                            $data['supplier']['name_of_organisation'] ??
                                            $data['Expense']['account_name'] ??
                                            $data['AdminOtherAccount']['account_name'] ??
                                            $data['StaffAndSalesman']['first_name'] . ' ' . $data['StaffAndSalesman']['last_name'] ??
                                            ''
                                        }}
                                    </td>
                                    <td>
                                        <strong><a href="">Sale# {{ $data['invoice_no'] }}</a></strong>
                                    </td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td><strong>{{ $data['quantity'] }}</strong></td>
                                    <td><strong>{{ $data['rate_unit'] }}</strong></td>
                                    <td><strong>{{ $data['quantity'] * $data['rate_unit'] }}</strong></td>
                                    <td>
                                        @if (isset($data['po_no']))
                                            {{ $data['po_no'] }}
                                        @elseif (array_key_exists($data['id'], $profits))
                                            {{ $profits[$data['id']] }}
                                        @else
                                            Not Available
                                        @endif
                                    </td>
                                    </tr>
                                    @php
                                    $SaleTotalQuantity += $data['quantity'];
                                    $SaleRateUnit += $data['rate_unit'];
                                    $SaleNetAmount += $data['quantity'] * $data['rate_unit'];
                                    $SaleProfits += isset($data['po_no']) ? $data['po_no'] : (array_key_exists($data['id'], $profits) ? $profits[$data['id']] : 'Not Available');
                                @endphp
                                @endforeach
                                    <tr>
                                        <td>Total</td>
                                        <td colspan="2"></td>
                                        {{-- <td></td> --}}
                                        <td>{{$PurchaseTotalQuantity + $obInventoryTotalQuantity}}</td>
                                        <td>{{$PurchaseRateUnit + $obInventoryRateUnit}}</td>
                                        <td>{{$PurchaseNetAmount + $obInventoryNetAmount}}</td>
                                        <td>{{$SaleTotalQuantity}}</td>
                                        <td>{{$SaleRateUnit}}</td>
                                        <td>{{$SaleNetAmount}}</td>
                                        <td>{{$SaleProfits}}</td>
                                    </tr>
                                {{-- @foreach($purchase_invoices as $purchase_invoice)
                                    <tr>
                                        <td>{{ $purchase_invoice->date }}</td>
                                        <td>
                                            {{
                                                $purchase_invoice->customer->name_of_organisation ??
                                                $purchase_invoice->supplier->name_of_organisation ??
                                                $purchase_invoice->Expense->account_name ??
                                                $purchase_invoice->AdminOtherAccount->account_name ??
                                                $purchase_invoice->StaffAndSalesman->first_name . ' ' . $purchase_invoice->StaffAndSalesman->last_name ??
                                                ''
                                            }}
                                        </td>
                                        <td><strong><a href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $purchase_invoice->id]) }}">Puchase# {{ $purchase_invoice->invoice_no }}</a></strong></td>

                                        <td><strong>{{ $purchase_invoice->quantity }}</strong></td>
                                        <td><strong>{{ $purchase_invoice->rate_unit }}</strong></td>
                                        <td><strong>{{ $purchase_invoice->quantity * $purchase_invoice->rate_unit }}</strong></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                @endforeach --}}
                                {{-- @foreach($sale_invoices as $key => $sale_invoice)
                                    <tr>
                                        <td>{{ $sale_invoice->date }}</td>
                                        <td>
                                            {{
                                                $sale_invoice->customer->name_of_organisation ??
                                                $sale_invoice->supplier->name_of_organisation ??
                                                $sale_invoice->Expense->account_name ??
                                                $sale_invoice->AdminOtherAccount->account_name ??
                                                $sale_invoice->StaffAndSalesman->first_name . ' ' . $sale_invoice->StaffAndSalesman->last_name ??
                                                ''
                                            }}
                                        </td>
                                        <td><strong><a href="{{ route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $sale_invoice->id]) }}">Sales# {{ $sale_invoice->invoice_no }}</a></strong></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td><strong>{{ $sale_invoice->quantity }}</strong></td>
                                        <td><strong>{{ $sale_invoice->rate_unit }}</strong></td>

                                        <td><strong>{{ isset($profits[$key]) ? $profits[$key] : '' }}</strong></td>


                                    </tr>
                                @endforeach --}}

                            </tbody>

                        </table>
                    </div>

                    <br>
                    <div class="row">
                        <div class="col-md-4">
                        </div>
                        <div class="col-md-4">
                        </div>
                        <div class="col-md-4">
                            <div class="row">
                                <div class="col-md-6">
                                    <p>Opening Quantity : <span>{{$totalObRemainingPurchaseQty}} Pcs</span></p>
                                    {{-- <p>Current Quantity : <span>{{$totalRemainingPurchaseQty }} Pcs</span></p> --}}
                                    <p>Current Quantity : <span>{{($totalRemainingPurchaseQty - $totalcbRemainingPurchaseQty) + $totalObRemainingPurchaseQty}} Pcs</span></p>
                                    <p>Closing Quantity : <span>{{($totalObRemainingPurchaseQty + $totalRemainingPurchaseQty) - $totalcbRemainingPurchaseQty}} Pcs</span></p>
                                </div>
                                <div class="col-md-6">
                                    <p>Opening Total : <span>{{$totalObRemainingPurchaseRate}}</span></p>
                                    {{-- <p>Current Total : <span>{{$totalRemainingPurchaseRate}}</span></p> --}}
                                    <p>Current Total : <span>{{($totalRemainingPurchaseRate - $totalcbRemainingPurchaseRate) + $totalObRemainingPurchaseRate}}</span></p>
                                    <p>Closing Total : <span>{{($totalObRemainingPurchaseRate + $totalRemainingPurchaseRate ) - $totalcbRemainingPurchaseRate}}</span></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->
<script>
    function printPageArea(areaID) {
        var printContent = document.getElementById(areaID).innerHTML;
        var originalContent = document.body.innerHTML;
        document.body.innerHTML = printContent;
        window.print();
        document.body.innerHTML = originalContent;
    }
</script>

@endsection
