<?php $__env->startSection('content'); ?>


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Staff and Salesman master</h6>
                            </div>

                        </div>
                        <!-- <div class="col-4"> -->
                        <form action="<?php echo e(route('crusher.staffs.update', ['staff' => request()->staff])); ?>"
                            class="outer-repeater" method="POST" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <div class="row">

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Job Designation</label>
                                        <input name="job_designation" value="<?php echo e(old('job_designation', $staff->job_designation)); ?>"
                                            class="form-control" type="text" placeholder="Job Designation"
                                            id="example-password-input">
                                        <?php if($errors->has('job_designation')): ?>
                                            <div class="text-danger"><?php echo e($errors->first('job_designation')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Date Of Joining</label>
                                        <input name="date_of_joining"
                                            value="<?php echo e(old('date_of_joining', $staff->date_of_joining)); ?>"
                                            class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}">
                                        <?php if($errors->has('date_of_joining')): ?>
                                            <div class="text-danger"><?php echo e($errors->first('date_of_joining')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Commission</label>
                                        <input name="commission" value="<?php echo e(old('commission', $staff->commission)); ?>" class="form-control">
                                        <?php if($errors->has('commission')): ?>
                                            <div class="text-danger"><?php echo e($errors->first('commission')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>First Name</label>
                                        <input name="first_name" value="<?php echo e(old('first_name', $staff->first_name)); ?>"
                                            class="form-control" type="text" placeholder="Enter Name"
                                            id="example-text-input">
                                        <?php if($errors->has('first_name')): ?>
                                            <div class="text-danger"><?php echo e($errors->first('first_name')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Last Name</label>
                                        <input name="last_name" value="<?php echo e(old('last_name', $staff->last_name)); ?>"
                                            class="form-control" type="text" placeholder="EnterLast Name"
                                            id="example-text-input">
                                        <?php if($errors->has('last_name')): ?>
                                            <div class="text-danger"><?php echo e($errors->first('last_name')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Mobile 1</label>
                                        <input name="mobile_1" value="<?php echo e(old('mobile_1', $staff->mobile_1)); ?>"
                                            class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Number"
                                            id="example-text-input">
                                        <?php if($errors->has('mobile_1')): ?>
                                            <div class="text-danger"><?php echo e($errors->first('mobile_1')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Mobile 2</label>
                                        <input name="mobile_2" value="<?php echo e(old('mobile_2', $staff->mobile_2)); ?>"
                                            class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Number"
                                            id="example-text-input">
                                        <?php if($errors->has('mobile_2')): ?>
                                            <div class="text-danger"><?php echo e($errors->first('mobile_2')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Whatsapp #</label>
                                        <input name="whatsapp" value="<?php echo e(old('whatsapp', $staff->whatsapp)); ?>"
                                            class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Number"
                                            id="example-text-input">
                                        <?php if($errors->has('whatsapp')): ?>
                                            <div class="text-danger"><?php echo e($errors->first('whatsapp')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Email</label>
                                        <input name="email" value="<?php echo e(old('email', $staff->email)); ?>"
                                            class="form-control" type="email" placeholder="Enter Email"
                                            id="example-text-input">
                                        <?php if($errors->has('email')): ?>
                                            <div class="text-danger"><?php echo e($errors->first('email')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">Country</label>
                                        <select class="form-control select2" name="country_id">
                                            <option value="">Select Country</option>
                                            <?php $__empty_1 = true; $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                                <option value="<?php echo e($country->id); ?>"
                                                    <?php if(old('country_id', $staff->country_id) == $country->id): ?> selected <?php endif; ?>>
                                                    <?php echo e($country->name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <?php endif; ?>
                                        </select>
                                        <?php if($errors->has('country_id')): ?>
                                            <span class="text-danger"><?php echo e($errors->first('country_id')); ?></span>
                                        <?php endif; ?>
                                    </div>
                                </div>



                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>City</label>
                                        <input name="city" value="<?php echo e(old('city', $staff->city)); ?>"
                                            class="form-control" type="text" placeholder="Enter Number"
                                            id="example-text-input">
                                        <?php if($errors->has('city')): ?>
                                            <div class="text-danger"><?php echo e($errors->first('city')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Address</label>
                                        <textarea name="address" class="form-control" rows="2" type="text" placeholder="Enter Address"
                                            id="example-textarea-input"><?php echo e(old('address', $staff->address)); ?>

                                    </textarea>
                                        <?php if($errors->has('address')): ?>
                                            <div class="text-danger"><?php echo e($errors->first('address')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">Class Of Account</label>
                                        <select class="form-control select2" name="class_of_account_id">
                                            <option>Select Class of Account</option>
                                            <?php $__empty_1 = true; $__currentLoopData = $classOfAccount; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                                <option value="<?php echo e($account->id); ?>"
                                                    <?php if(old('class_of_account_id', $staff->class_of_account_id) == $account->id): ?> selected <?php endif; ?>>
                                                    <?php echo e($account->name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <?php endif; ?>
                                        </select>
                                    </div>
                                </div>


                                <!-- <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <label class="control-label">Show User</label>
                                                                            <select class="form-control select2">
                                                                                <option>Nothing Selected</option>
                                                                                <option>lorem</option>
                                                                                <option>Lorem</option>
                                                                            </select>
                                                                        </div>
                                                                    </div> -->

                                

                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Salary</label>
                                        <input name="salary" class="form-control <?php $__errorArgs = ['salary'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                            type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Salary"
                                            value="<?php echo e(old('salary', $staff->salary)); ?>" id="salary">
                                        <?php $__errorArgs = ['salary'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <div class="invalid-feedback"><?php echo e($message); ?></div>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                </div>


                                <div class="col-md-12">
                                    <strong>
                                        <h5>Upload Documents</h5>
                                    </strong>
                                </div>

                                <?php for($i = 1; $i <= 7; $i++): ?>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <input class="form-control <?php $__errorArgs = ['doc_name_' . $i];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                type="text" placeholder="Enter Name"
                                                name="doc_name_<?php echo e($i); ?>" id="doc_name_<?php echo e($i); ?>"
                                                value="<?php echo e(old('doc_name_' . $i, $staff->{'doc_name_' . $i})); ?>">
                                            <?php $__errorArgs = ['doc_name_' . $i];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback"><?php echo e($message); ?></div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <input class="form-control" type="file" id="doc_file_<?php echo e($i); ?>"
                                                name="doc_file_<?php echo e($i); ?>">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <input class="form-control <?php $__errorArgs = ['doc_expiry_' . $i];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                type="date" pattern="\d{4}-\d{2}-\d{2}}"
                                                name="doc_expiry_<?php echo e($i); ?>"
                                                id="doc_expiry_<?php echo e($i); ?>"
                                                value="<?php echo e(old('doc_expiry_' . $i, $staff->{'doc_expiry_' . $i})); ?>">
                                            <?php $__errorArgs = ['doc_expiry_' . $i];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback"><?php echo e($message); ?></div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                <?php endfor; ?>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Description</label>
                                    <textarea name="description" class="form-control <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" rows="4"
                                        placeholder="Enter Description"><?php echo e(old('description', $staff->description)); ?></textarea>
                                    <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="invalid-feedback"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>


                            <button class="btn btn-cust1 float-right" data-toggle="modal" data-target=""
                                type="submit">Update Staff</button>



                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->


    <div class="modal fade bs-example-modal-center1" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="col-md-12 text-center">
                        <div class="pt-4 pb-4">
                            <i class="fas fa-check checkp "></i>
                            <h4 class="card-title font-size-18">Successfully Recorded
                            </h4>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->


    <div class="modal fade bs-example-modal-center2" tabindex="-2" role="dialog" aria-labelledby="mySmallModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="col-md-12 text-center">
                        <div class="pt-4 pb-4">
                            <i class="fas fa-times crossp "></i>
                            <h4 class="card-title font-size-18">Submission Failed
                            </h4>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/crusher/staff_master/edit.blade.php ENDPATH**/ ?>