<?php $__env->startSection('content'); ?>


    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Receipt Voucher</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <form
                        action="<?php echo e(route('crusher.receipt_vouchers.update', ['receipt_voucher' => $receiptVouchers[0]->id])); ?>"
                        class="outer-repeater" method="POST">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('put'); ?>

                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Receipt Voucher #</label>
                                    <input class="form-control" readonly placeholder="" id="example-password-input"
                                        name="invoice_no" value="<?php echo e($receiptVouchers[0]->invoice_no); ?>">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Date</label>
                                    <input class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}" name="date"
                                        value="<?php echo e($receiptVouchers[0]->date); ?>">
                                </div>
                            </div>
                        </div>

                        <br>


                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label">Select Method</label>
                                    <select class="form-control paymentMethod select2" id="myDropdown"
                                        onchange="myFunction()" name="payment_method">
                                        <option>Select Method</option>
                                        <option value="cash"
                                            <?php echo e($receiptVouchers[0]->payment_method == 'cash' ? 'selected' : ''); ?>>Cash
                                        </option>
                                        <option value="bank"
                                            <?php echo e($receiptVouchers[0]->payment_method == 'bank' ? 'selected' : ''); ?>>Bank
                                        </option>
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label">Select Account</label>
                                    <select class="form-control bank select2" name="bank_id">
                                        <option value="">Select Bank Account</option>
                                        <option value="<?php echo e($receiptVouchers[0]->bank_id); ?>" <?php echo e($receiptVouchers[0]->bank_id ? 'selected' : ''); ?>>
                                            <?php echo e($receiptVouchers[0]->bank_id); ?>

                                        </option>
                                        <?php $__currentLoopData = $Bankaccounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Bankaccount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($Bankaccount->id); ?>">
                                                <?php echo e($Bankaccount->account_name); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">

                            </div>
                            <div class="col-md-6" id="pricehidden1" style="display: none;">
                                <div class="form-group">
                                    <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Cheaque No #"
                                        id="example-password-input" name="cheaque_no"
                                        value="<?php echo e($receiptVouchers[0]->cheaque_no); ?>">
                                </div>
                            </div>
                            <div class="col-md-6">
                            </div>
                            <div class="col-md-6" id="pricehidden2" style="display: none;">
                                <div class="form-group">
                                    <input class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}"
                                        name="cheaque_date" value="<?php echo e($receiptVouchers[0]->cheaque_date); ?>">
                                </div>
                            </div>
                            <div class="col-md-6">
                            </div>

                            <div class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered dt-responsive nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Account Name</th>
                                            <th>Amount</th>
                                            <th>BillWise/OnAccount</th>
                                            <th>Select Invoice</th>
                                            <th>Delete</th>

                                        </tr>
                                    </thead>

                                    <tbody id="table-body">
                                        <?php $__empty_1 = true; $__currentLoopData = $receiptVouchers[0]->expense; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <tr>
                                                <div class="inner-repeater mb-12">
                                                    <div data-repeater-list="inner-group" class="inner form-group">
                                                        <td>
                                                            <div class="form-group">
                                                                <select id="account" class="form-control "
                                                                    name="account_id[]">
                                                                    <option>Select Account</option>
                                                                    <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($account->id); ?>"
                                                                            <?php echo e($expense->account_id == $account->id ? 'selected' : ''); ?>

                                                                            data-account-type="<?php echo e($account->table_name); ?>">
                                                                            <?php echo e($account->account_name); ?>

                                                                        </option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                            </div>
                                                            <input type="hidden" class="account_type" name="account_type[]"
                                                                id="account_type" value="<?php echo e($expense->account_type); ?>">
                                                        </td>

                                                        <td>
                                                            <div class="form-group">
                                                                <input class="form-control amount-input" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                    placeholder="0.0000" id="example-password-input"
                                                                    name="amount[]" value="<?php echo e($expense->amount); ?>">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <select class="form-control selectItem "
                                                                    name="bill_wise_id[]">
                                                                    <option value="BillWise"
                                                                        <?php echo e($expense->bill_wise_id == 'BillWise' ? 'selected' : ''); ?>>
                                                                        BillWise</option>
                                                                    <option value="OnAccount"
                                                                        <?php echo e($expense->bill_wise_id == 'OnAccount' ? 'selected' : ''); ?>>
                                                                        On Account</option>
                                                                </select>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group" id="accountSelect">
                                                                <select class="form-control selectItem "
                                                                    name="inovice_id[]">
                                                                    <?php $__currentLoopData = $salesInvoices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $si): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($si->invoice_no); ?>"
                                                                            <?php echo e($expense->inovice_id == $si->invoice_no ? 'selected' : ''); ?>>
                                                                            <?php echo e($si->invoice_no); ?></option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                            </div>
                                                        </td>

                                                    </div>

                                                </div>


                                                <td>
                                                    <a href="" class="delete-row-btn"> <i
                                                            class="fas fa-trash-alt inner"></i></a>
                                                </td>



                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <tr>
                                                <div class="inner-repeater mb-12">
                                                    <div data-repeater-list="inner-group" class="inner form-group">
                                                        <td>
                                                            <div class="form-group">
                                                                <select id="account" class="form-control select2 "
                                                                    name="account_id[]">
                                                                    <option>Select Account</option>
                                                                    <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($account->id); ?>"
                                                                            data-account-type="<?php echo e($account->table_name); ?>">
                                                                            <?php echo e($account->account_name); ?>

                                                                        </option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                            </div>
                                                            <input type="hidden" class="account_type"
                                                                name="account_type[]" id="account_type">
                                                        </td>

                                                        <td>
                                                            <div class="form-group">
                                                                <input class="form-control amount-input" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                    placeholder="0.0000" id="example-password-input"
                                                                    name="amount[]">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <select class="form-control selectItem select2"
                                                                    name="bill_wise_id[]">
                                                                    <option value="" selected disabled>Select Account
                                                                    </option>
                                                                    <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($account->id); ?>">
                                                                            <?php echo e($account->account_name); ?></option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <select class="form-control selectItem select2"
                                                                    name="inovice_id[]">
                                                                    <option value="" selected disabled>Select Account
                                                                    </option>
                                                                    <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($account->id); ?>">
                                                                            <?php echo e($account->account_name); ?></option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                            </div>
                                                        </td>

                                                    </div>

                                                </div>


                                                <td>
                                                    <a href="" class="delete-row-btn"> <i
                                                            class="fas fa-trash-alt inner"></i></a>
                                                </td>



                                            </tr>
                                        <?php endif; ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-8">
                                <button id="add-more-btn" class="btn btn-outline-primary">add
                                    more</button>
                            </div>
                            <br>
                            <div class="col-md-4">
                                <!-- <h5>QTY Total: 0</h5> -->
                            </div>

                            <br><br>

                            <div class="col-md-4">
                                <label for="name">Amount in Words:</label>
                                <span id="total_net_amount_words"></span>
                            </div>
                            <div class="col-md-4">
                            </div>
                            <div class="col-md-4">
                                <label for="name">Net Total(RO): <span id="netTotal">0</span></label>
                            </div>
                        </div>


                        <button class="btn btn-cust1 float-right" type="submit">Update Recipient Voucher
                        </button>



                    </form>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->


    <!-- Modals -->
    <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal1Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal1Label">Add New Account</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Form Will Be visible</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal2" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal2Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal2Label">Modal 2</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 2</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal3" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal3Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal3Label">Modal 3</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 3</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">C lose</button>
                </div>
            </div>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
        crossorigin="anonymous"></script>
    <script>
        $(document).ready(function() {
            // Event handler for the add-clone-btn click
            $(document).on('click', '.add-clone-btn', function(e) {
                e.preventDefault();

                // Get the parent <tr> element
                var parentTr = $(this).closest('tr');

                // Clone the parent <tr> element
                var clonedTr = parentTr.clone();

                // Append the cloned <tr> after the parent <tr>
                parentTr.after(clonedTr);
            });
        });

        $(document).ready(function() {
            // $('#add-more-btn').click(function(e) {
            //     e.preventDefault();

            //     // Clone the existing row
            //     var newRow = $('#table-body tr').first().clone();

            //     // Clear input fields and select values in the cloned row
            //     newRow.find('input, textarea').val('');
            //     newRow.find('select').prop('selectedIndex', 0);

            //     // Append the cloned row to the table
            //     $('#table-body').append(newRow);
            // });

            // $('#add-clone-btn').click(function(e) {
            //     e.preventDefault();

            //     // Clone the existing row
            //     var newRow = $('#table-body tr').first().clone();

            //     // Clear input fields and select values in the cloned row
            //     newRow.find('input, textarea').val('');
            //     newRow.find('select').prop('selectedIndex', 0);

            //     // Append the cloned row to the table
            //     $('#table-body').append(newRow);
            // });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();
            });
        });
    </script>

    <script>
        function myFunction() {
            var dropdown = document.getElementById("myDropdown");
            var pricehidden1 = document.getElementById("pricehidden1");
            var pricehidden2 = document.getElementById("pricehidden2");
            var pricehidden3 = document.getElementById("pricehidden3");

            if (dropdown.value === "cash") {
                pricehidden1.style.display = "none";
                pricehidden2.style.display = "none";
                pricehidden3.style.display = "none";
            } else {
                pricehidden1.style.display = "block";
                pricehidden2.style.display = "block";
                pricehidden3.style.display = "block";
            }
        }
    </script>

    <!-- modal script -->

    <script>
        document.getElementById("modalSelect").addEventListener("change", function() {
            var selectedModal = this.value;

            // Close any open modals
            $('.modal').modal('hide');

            // Open the selected modal
            $('#' + selectedModal).modal('show');
        });
    </script>

    <script>
        $(document).ready(function() {

            // Calculate and update net total
            function calculateNetTotal() {
                var totalAmount = 0;
                $('.amount-input').each(function() {
                    var amount = parseFloat($(this).val());
                    if (!isNaN(amount)) {
                        totalAmount += amount;
                    }
                });

                $('#netTotal').text(totalAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>)); // Display the net total

                // Convert total net amount to words and update the corresponding field
                var totalNetAmountWords = numberToWords(totalAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>));
                $('#total_net_amount_words').text(totalNetAmountWords);
            }

            // Calculate and update net total on input change
            $(document).on('change', '.amount-input', function() {
                calculateNetTotal();
            });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();

                // Update the net total after deleting a row
                calculateNetTotal();
            });

            // ... (rest of your existing script) ...
        });
    </script>

    <script>
        $(document).ready(function() {
            // Function to attach event listeners to a new row
            function attachListenersToNewRow(row) {
                row.find('select[name="account_id[]"]').on('change', function() {
                    var selectedOption = $(this).find('option:selected');
                    var accountType = selectedOption.data('account-type');
                    var hiddenInput = $(this).closest('tr').find('.account_type');
                    if (hiddenInput.length) {
                        hiddenInput.val(accountType);
                    }
                });
            }

            // Event handler for the add-more-btn click
            $('#add-more-btn').click(function(e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);

                // Attach event listeners to the new row
                attachListenersToNewRow(newRow);
            });

            // Attach initial event listeners to the first row
            attachListenersToNewRow($('#table-body tr').first());
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/crusher/trans_receipt_voucher/edit.blade.php ENDPATH**/ ?>