<?php $__env->startSection('content'); ?>


    <div class="row">
        <div class="col-md-12">
            <div class="row mt-4 mb-2">
                <div class="col-sm-6">
                    <h6 class="card-title mb-4 titlcust">View Credit Note(Sale Return Voucher)
                    </h6>
                </div>
                <div class="col-sm-6">
                    <a href="">
                        <button class="btn btn-outline-primary float-right cust-btn1" onclick="printPageArea('printableArea')"
                            type="submit">Print Document
                        </button>
                    </a>
                    <a href="">
                        <button class="btn btn-outline-primary float-right" type="submit">Back
                        </button>
                    </a>
                </div>
            </div>
            <div class="card" id="printableArea">
                <div class="card-body">
                    <h6 class="card-title mb-1 text-center font-size-20">Credit Note(Sale Return
                        Voucher)</h6>
                    <br>

                    <div class="row border1">
                        <?php if(!empty(($companyLogo = auth()->user()->company_logo))): ?>
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="<?php echo e(asset('storage/app/public/' . $companyLogo)); ?>" class="img-fluid"
                                    alt="logo" width="180px">
                            </div>
                        <?php else: ?>
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="<?php echo e(asset('assets/images/acp-logo.png')); ?>" class="img-fluid" alt="logo"
                                    width="180px">
                            </div>
                        <?php endif; ?>
                        <div class="col-md-6">
                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12 ">
                                        <span><?php echo e($company->name); ?></span>
                                    </div>
                                    <div class="col-md-12 ">
                                        <span><?php echo e($company->country); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Branch Name :</label>
                                        <span><?php echo e(session()->get('branch')->name); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Branch Address :</label>
                                        <span><?php echo e(session()->get('branch')->address); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Cr Number :</label>
                                        <span><?php echo e($company->cr_number); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>VAT Number :</label>
                                        <span><?php echo e($company->vat_number); ?></span>
                                    </div>

                                </div>
                            </div>

                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12">
                                        <h5>Buyer</h5>
                                    </div>
                                    <?php if($creditNote[0]->buyer != null): ?>
                                        <div class="col-md-12">
                                            

                                            <span><?php echo e($creditNote[0]->account->account_name  ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Email :</label>
                                            <span><?php echo e($creditNote[0]->buyer->email ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Person Name :</label>
                                            <span><?php echo e($creditNote[0]->buyer->name ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Number :</label>
                                            <span><?php echo e($creditNote[0]->buyer->phone ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>VAT Number :</label>
                                            <span><?php echo e($creditNote[0]->buyer->vat_number ?? 'No Record Found'); ?></span>
                                        </div>
                                    <?php else: ?>
                                    <div class="col-md-12">
                                        <span><?php echo e($creditNote[0]->account->name_of_organisation ?? $creditNote[0]->account->account_name??$creditNote[0]->account->first_name.' '.$creditNote[0]->account->last_name); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Email :</label>
                                        <span><?php echo e($creditNote[0]->account->email ?? 'No Record Found'); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Contact Person Name :</label>
                                        <span><?php echo e($creditNote[0]->account->contact_person_name ?? 'No Record Found'); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Contact Number :</label>
                                        <span><?php echo e($creditNote[0]->account->mobile ?? 'No Record Found'); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>VAT Number :</label>
                                        <span><?php echo e($creditNote[0]->account->vat_number ?? 'No Record Found'); ?></span>
                                    </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12">
                                        <label>Voucher #:</label>
                                        <span><?php echo e($creditNote[0]->invoice_no); ?></span>
                                    </div>

                                    <div class="col-md-12">
                                        <label>Date :</label>
                                        <span><?php echo e($creditNote[0]->date); ?></span>
                                    </div>

                                    <div class="col-md-12">
                                        <label>Sale Invoice No #:</label>
                                        <span><?php echo e($creditNote[0]->sales_invoice_no ?? ''); ?></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <br>

                    <div class="row">
                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table class="table table-bordered dt-responsive nowrap"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>S No.</th>
                                        <th>Item Name</th>
                                        <th>Item Description</th>
                                        <th>Quantity</th>
                                        <th>Rate/Unit</th>
                                        <th>Gross Amount</th>
                                        <th>VAT %</th>
                                        <th>VAT Amount</th>
                                        <th>Net Amount</th>
                                    </tr>
                                </thead>

                                <tbody id="table-body">
                                    <?php $__empty_1 = true; $__currentLoopData = $creditNote; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$cn): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <tr>
                                            <td><?php echo e($key + 1); ?></td>
                                            <td>
                                                <p><?php echo e($cn->item->name ?? ''); ?></p>
                                            </td>
                                            <td>
                                                <p><?php echo e($cn->item_description); ?></p>
                                            </td>
                                            <td>
                                                <p><?php echo e($cn->quantity); ?></p>
                                            </td>
                                            <td>
                                                <p><?php echo e($cn->rate_unit); ?></p>
                                            </td>
                                            <td>
                                                <p><?php echo e($cn->gross_amount); ?></p>
                                            </td>
                                            <td>
                                                <p><?php echo e($cn->vat_percentage); ?></p>
                                            </td>
                                            <td>
                                                <p><?php echo e($cn->vat_amount); ?></p>
                                            </td>
                                            <td>
                                                <p><?php echo e($cn->net_amount); ?></p>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <?php endif; ?>
                                    <tr>
                                        <td></td>
                                        <td>Grand Total</td>
                                        <td></td>
                                        <td><?php echo e($creditNote[0]->total_quantity); ?></td>
                                        <td></td>
                                        <td><?php echo e($creditNote[0]->total_gross_amount); ?></td>
                                        <td></td>
                                        <td><?php echo e($creditNote[0]->total_vat_amount); ?></td>
                                        <td><?php echo e($creditNote[0]->total_net_amount); ?></td>
                                    </tr>
                                    <?php $__empty_1 = true; $__currentLoopData = $creditNote; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cn): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>

                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <?php endif; ?>
                                    <tr>
                                        <td></td>
                                        <td>Total Amount</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        
                                        <td><?php echo e($creditNote[0]->total_net_amount); ?></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <br>


                    <div class="row">

                        <div class="col-md-4">
                            <label>Amount in Words:</label>
                            <span id="total_net_amount_words"></span>
                        </div>


                    </div>

                    <br>
                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table class="table table-bordered dt-responsive nowrap max-width">
                            <tr>
                                <td>
                                    <label>Term & Conditions</label>
                                    <p class="">Lorem ipsum dolor sit, amet consectetur adipisicing
                                        elit.
                                        Optio
                                        dolore,
                                        amet provident, laborum a animi blanditiis possimus
                                        maxime
                                        minus at
                                        eum aut accusantium doloribus laudantium itaque!
                                        Debitis
                                        voluptate
                                        consequatur numquam.</p>
                                </td>
                                <td>
                                    <label>Narrations</label>
                                    <p><?php echo e($creditNote[0]->narrations); ?></p>
                                </td>
                            </tr>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

<script>
    document.addEventListener("DOMContentLoaded", function() {
        // Calculate the grand total and update the element
        const totalGrossAmount = <?php echo e($creditNote[0]->total_gross_amount); ?>;
        const totalVatAmount = <?php echo e($creditNote[0]->total_vat_amount); ?>;
        const totalNetAmount = <?php echo e($creditNote[0]->total_net_amount); ?>;

        const grandTotal = totalGrossAmount + totalVatAmount + totalNetAmount;
        const roundedGrandTotal = grandTotal.toFixed(2);
        document.getElementById("grand-total").textContent = roundedGrandTotal;

        // Convert total net amount to words and update the corresponding field
        var totalNetAmountWords = numberToWords(roundedGrandTotal);
        $('#total_net_amount_words').text(totalNetAmountWords);
    });
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/crusher/trans_credit_note_srv/view.blade.php ENDPATH**/ ?>