
<?php $__env->startSection('content'); ?>


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">View Customer Master</h6>
                            </div>
                            <div class="col-md-6">
                                <a href="">
                                    <button class="btn btn-outline-primary float-right cust-btn1" type="submit">Print
                                        Document
                                    </button>
                                </a>
                                <a href="">
                                    <button class="btn btn-outline-primary float-right" type="submit">Back
                                    </button>
                                </a>
                            </div>
                        </div>
                        <!-- <div class="col-4"> -->

                        <div class="row">
                            <div class="col-md-3">
                                <label>Account Opening Balance :</label>
                                <span><?php echo e($customer->opening_balance); ?></span>
                            </div>

                            <div class="col-md-3">
                                <label>Debit/Credit :</label>
                                <span><?php echo e($customer->debit_card); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Date :</label>
                                <span><?php echo e(\Carbon\Carbon::parse($customer->date)->format('d F Y')); ?></span>
                            </div>

                            <div class="col-md-12">
                                <label>Account Name :</label>
                                <span><?php echo e($customer->name_of_organisation); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Commercial Registration # :</label>
                                <span><?php echo e($customer->commerical_registration_number); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Contact Person Name :</label>
                                <span><?php echo e($customer->contact_person_name); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Office Phone :</label>
                                <span><?php echo e($customer->office_phone); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Mobile # :</label>
                                <span><?php echo e($customer->mobile); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Whatsapp #:</label>
                                <span><?php echo e($customer->whatsapp); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Email :</label>
                                <span><?php echo e($customer->email); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Country :</label>
                                <span><?php echo e($customer->country->name); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>City :</label>
                                <span><?php echo e($customer->city); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Address :</label>
                                <span><?php echo e($customer->address); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Class Of Account :</label>
                                <span><?php echo e($customer->classOfAccount->name); ?></span>
                            </div>
                        </div>

                        <br>
                        <div class="row">
                            <div class="col-md-4">
                                <label>VAT Number :</label>
                                <span><?php echo e($customer->vat_number); ?></span>
                            </div>
                            <div class="col-md-4">
                                <label>TRN Number :</label>
                                <span><?php echo e($customer->trn_number); ?></span>
                            </div>
                            <div class="col-md-4">
                                <label>TIN Number :</label>
                                <span><?php echo e($customer->tin_number); ?></span>
                            </div>
                        </div>
                        <br>

                        <div class="row">
                            <div class="col-md-12">
                                <strong>
                                    <h5>Uploaded Documents</h5>
                                </strong>
                            </div>

                            <?php for($i = 1; $i < 8; $i++): ?>
                                <div class="col-md-4">
                                    <label>Name :</label>
                                    <span><?php echo e($customer->{'doc_name_' . $i}); ?></span>
                                </div>
                                <div class="col-md-4">
                                    <?php if(!empty($customer->{'doc_file_' . $i})): ?>
                                        <a href="<?php echo e(asset('/storage/app/public/' . $customer->{'doc_file_' . $i})); ?>">
                                            <button class="btn btn-outline-primary" type="submit">Print Document
                                            </button>
                                        </a>
                                    <?php else: ?>
                                        <span>No Document Found</span>
                                    <?php endif; ?>
                                </div>
                                <div class="col-md-4">
                                    <label>Date :</label>
                                    <span><?php echo e($customer->{'doc_expiry_' . $i}); ?></span>
                                </div>
                            <?php endfor; ?>


                        </div>

                        <?php for($i = 1; $i < 4; $i++): ?>
                        
                        <div class="row">
                            <div class="col-md-12">
                                <strong>
                                    <h5>Authosised Sign <?php echo e($i); ?></h5>
                                </strong>
                            </div>
                            
                                <div class="col-md-4">
                                    <label>Name :</label>
                                    <span><?php echo e($customer->{'authorised_sign_'.$i.'_name'}); ?></span>
                                </div>
                                <div class="col-md-4">
                                    <label>Civil Id # :</label>
                                    <span><?php echo e($customer->{'authorised_sign_'.$i.'_civil_id'}); ?></span>
                                </div>
                                <div class="col-md-4">
                                    <label>Expiry Date Of Civit ID # :</label>
                                    <span><?php echo e($customer->{'authorised_sign_'.$i.'_expiry_date'}); ?></span>
                                </div>
                                <div class="col-md-4">
                                    <?php if(!empty($customer->{'authorised_sign_'.$i.'_sign_sample'})): ?>
                                    <a href="<?php echo e(asset('/storage/app/public/' . $customer->{'authorised_sign_'.$i.'_sign_sample'})); ?>">
                                        <button class="btn btn-outline-primary" type="submit">Print Document
                                        </button>
                                    </a>
                                    <?php else: ?>
                                    <span>No Document Found</span>
                                    <?php endif; ?>
                                </div>
                                <div class="col-md-4">
                                    <label>Phone # :</label>
                                    <span><?php echo e($customer->{'authorised_sign_'.$i.'_phone'}); ?></span>
                                </div>
                            </div>
                        <br>
                            <?php endfor; ?>

                        <br>

                        <div class="col-md-12">

                            <label>Description :</label>
                            <p><?php echo e($customer->description); ?></p>
                        </div>


                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/crusher/customer_master/view.blade.php ENDPATH**/ ?>