



<?php $__env->startSection('content'); ?>
    <style>
        .top {
            margin-top: 22px;
        }

        .vcenter {
            margin-top: 30px;
        }

        .move_l {
            margin-right: 10px;

        }

        .display-none {
            display: none;
        }

        .display-min {
            width: 280px;
        }

        #top {
            margin-top: 100px;
        }

        th {
            text-align: center;
        }
    </style>



    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Statement of Accounts
                            </h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <form class="outer-repeater" method="POST" id="create_form" action="" enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>
                        <div class="row">

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>From Date</label>
                                    <input class="form-control" type="date" name="from_date" id="from_date"
                                        pattern="\d{4}-\d{2}-\d{2}">
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>To Date</label>
                                    <input class="form-control" type="date" name="to_date" id="to_date"
                                        pattern="\d{4}-\d{2}-\d{2}">
                                </div>
                            </div>


                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="control-label" for="account_class_or_Ledger">Select an option:</label>
                                    <select class="form-control select2 ledger_account_class" id="ledger_account_class_id"
                                        name="ledger_account_class_name" onchange="showLedgerAccount()" required>
                                        <option value="">Select</option>
                                        <option value="ledger">Ledger Wise</option>
                                        <option value="account">Class of Account</option>
                                    </select>
                                </div>
                            </div>

                            <table class="table table-bordered dt-responsive nowrap">
                                <thead>

                                    <tr>
                                        <th width="50%">Particulars</th>
                                        <th width="25%" class="bill_vat display-none" id="bill_vat">Select Type</th>
                                        <th width="25%">Info</th>
                                    </tr>
                                </thead>


                                <tbody>
                                    <tr>
                                        <td>
                                            <p id="ledger_class_of_account">Particulars</p>
                                            <div id="account_class" class="display-none">
                                                <select class="form-control" id="class_of_account" name="class_of_account">
                                                    <option value="">Select Class of Account</option>
                                                    <?php $__currentLoopData = $class_of_accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($item->id); ?>"><?php echo e($item->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                                </select>

                                            </div>
                                            <div id="ledger_class" class="display-none">
                                                <select class="form-control" id="ledger_class_select" name="ledger_class"
                                                    onchange="showLedgerInfo()">
                                                    <option value="">Select Ledger</option>
                                                    <?php $__empty_1 = true; $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                                        <?php if($account->account_name): ?>
                                                            <option value="<?php echo e($account->id); ?>"
                                                                data-account-type="<?php echo e($account->table_name); ?>">
                                                                <?php echo e($account->account_name); ?>

                                                            </option>
                                                        <?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                                        <option value="" selected disabled>No accounts available
                                                        </option>
                                                    <?php endif; ?>
                                                </select>
                                                <input type="hidden" name="pass_check" id="pass_check" value="">
                                            </div>
                                        </td>
                                        <td id="bill_vat" class="bill_vat display-none">
                                            <select name="billwise_vat" id="billwise_vat" class="form-control"
                                                onchange="changeForm()">
                                                <option value="">Select Option</option>
                                                <option value="billwise">BillWise</option>
                                                <option value="vatwise">Vat Wise</option>
                                            </select>
                                        </td>
                                        <td class="display-min">
                                            <button type="button" class="btn" id="customer_info_btn"><i
                                                    class="fa fa-info"></i></button>
                                            <div id="customer_info" class="display-none">
                                                <p><b>Contact Person:</b> <span id="account_name"></span></p>
                                                <p><b>Mobile:</b> <span id="account_contact"></span></p>
                                                <p><b>WhatsApp:</b> <span id="account_whatsapp"></span></p>
                                                <p><b>Email:</b> <span id="account_email"></span></p>
                                                <p><b>Address:</b> <span id="account_address"></span></p>
                                            </div>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>

                            <button class="btn btn-cust1" type="submit"><i class="fas fa-check"></i>
                                Display</button>

                    </form>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->


    <!-- Include jQuery and Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.2/dist/bootstrap.min.js"></script>

    <script>
        $('#class_of_account').select2();
        $('#ledger_class_select').select2();
        $('select[name="ledger_class"]').on('change', function() {
            var account_id = $(this).val();
            if (account_id) {
                CheckAccountPassword(account_id);
            } else {}
        });

        $("#form_submit").click(function() {
            var ledger_class = $("#ledger_account_class_id").val();
            if (ledger_class == "ledger") {
                if ($('#create_form').valid()) {
                    var pass_check = $('#pass_check').val();
                    if (pass_check == "no") {
                        $('#create_form').submit();
                    } else if (pass_check == "yes") {
                        $('#exampleModal').modal('show');
                    }
                }
            } else if (ledger_class == "account") {
                if ($('#create_form').valid()) {
                    $('#create_form').submit();
                }
            }
        });

        $("#submitbutton").click(function() {
            var password = $('#password').val();
            var account_master_id = $('#ledger_class_select').val();
            if (account_master_id == "") {
                alert("Kindly Select Account First");
            } else
            if (password != null) {
                AccountPasswordVerfification(account_master_id, password);
            }
        });

        $(document).ready(function() {
            $('.input-group.date').datepicker({
                startView: 1,
                todayBtn: "linked",
                keyboardNavigation: false,
                forceParse: false,
                autoclose: true,
                format: "yyyy-mm-dd"
            }).datepicker('setDate', new Date());
        });

        function changeForm() {
            var billwise_vat = $('#billwise_vat').val();

            if (billwise_vat == "") {
                $('#create_form').attr('action', '/statement-of-accounts/ledger');
            } else if (billwise_vat == "billwise") {
                $('#create_form').attr('action', '/statement-of-accounts/ledger/billwise');
            } else if (billwise_vat == "vatwise") {
                $('#create_form').attr('action', '/statement-of-accounts/ledger/vatwise/{accountId}');
            }
        }

        function showLedgerAccount() {
            var select_status = $('#ledger_account_class_id').val();
            if (select_status == 'account') {
                $('#account_class').show();
                $('.bill_vat').hide();
                $('#ledger_class').hide();
                $('#ledger_class_of_account').hide();
                $('#create_form').attr('action', '/statement-of-accounts/class');

            }
            if (select_status == 'ledger') {
                $('#ledger_class').show();
                $('.bill_vat').show();
                $('#account_class').hide();
                $('#ledger_class_of_account').hide();

                var billwise_vat = $('#billwise_vat').val();
                if (billwise_vat == "") {
                    $('#create_form').attr('action', '/statement-of-accounts/ledger');
                } else if (billwise_vat == "billwise") {
                    $('#create_form').attr('action', '/statement-of-accounts/ledger/billwise');
                } else if (billwise_vat == "vatwise") {
                    $('#create_form').attr('action', '/statement-of-accounts/ledger/vatwise/{accountId}');
                }

            }
            if (select_status == '') {
                $('#account_class').hide();
                $('#ledger_class').hide();
                $('#ledger_class_of_account').show();
                $('#create_form').attr('action', '');
            }
        }

        function showLedgerInfo() {
            var select_ledger = $('#ledger_class_select').val();
            if (select_ledger) {

                $.ajax({
                    url: '/reports/statement-of-accounts/ledgerInfo/' + select_ledger,
                    type: "GET",
                    dataType: "json",
                    success: function(data) {
                        console.log("data", data.data);
                        if (data.status == "success") {
                            // alert(data.data.name_of_organisation);
                            $('#account_name').html(data.data.contact_person_name);
                            $('#account_contact').html(data.data.mobile);
                            $('#account_whatsapp').html(data.data.whatsapp);
                            $('#account_email').html(data.data.email);
                            $('#account_address').html(data.data.address);
                        } else {
                            $('#account_name').html("");
                            $('#account_whatsapp').html("");
                            $('#account_email').html("");
                            $('#account_address').html("");
                        }

                    },
                });
            } else {
                $('#account_name').html('');
                $('#account_whatsapp').html('');
                $('#account_email').html('');
                $('#account_address').html('');
            }


        }

        function showAndHideInfo() {
            var select_status = $('#report_type').val();
            if (select_status == 'billwise_report') {
                $('#customer_info_btn').show();
                $('#customer_info_th').show();
            }
            if (select_status == 'vat_report') {
                $('#customer_info_btn').hide();
                $('#customer_info_th').hide();

            }
            if (select_status == '') {
                $('#customer_info_btn').hide();
                $('#customer_info').hide();
                $('#customer_info_th').hide();
            }
        }
        $(document).ready(function() {
            $("#customer_info_btn").click(function() {
                $("#customer_info").toggle();
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Xampp\htdocs\acp\v2\acpnew\resources\views/crusher/reports/statement_account.blade.php ENDPATH**/ ?>